#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x3aea6373, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xaf6d170c, "");
SYMBOL_CRC(__bcma_driver_register, 0x50833122, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x99354eda, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xc6589f64, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x0ea2b17e, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x79b685ca, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x69255fcd, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xfb8fd733, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x94fafe9c, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x04374115, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x10616dd0, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x778aa8ab, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xfd57774a, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x0c279be7, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x3f9d27bd, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xeb6edd2f, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x0aa13299, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x08185038, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xd8fcb007, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0xf5c00dd5, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x4ecf87d8, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x6b66b8f7, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x5d5ca2b5, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x3ab4781a, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x91f883ee, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xc2c6993d, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7534551d, "dev_set_name" },
	{ 0xa997c47a, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x18916184, "of_address_to_resource" },
	{ 0x824e9626, "device_unregister" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x59f955c9, "of_platform_default_populate" },
	{ 0x4eaf26fc, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6fdbab4c, "device_initialize" },
	{ 0xe5f1935a, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5fcd01d, "get_device" },
	{ 0x16b633e7, "of_irq_parse_one" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xae962360, "__dynamic_dev_dbg" },
	{ 0x23b89842, "pci_unregister_driver" },
	{ 0xb144c049, "pci_read_config_dword" },
	{ 0x92997ed8, "_printk" },
	{ 0x998c157f, "of_irq_parse_raw" },
	{ 0x848d372e, "iowrite8" },
	{ 0xa40f662, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac52486b, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x63f6c7f3, "_dev_info" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xe10ddf2f, "gpiochip_get_data" },
	{ 0x6b612b75, "bus_unregister" },
	{ 0xe0469b26, "_dev_err" },
	{ 0xc88d4c8c, "device_add" },
	{ 0xf322df40, "platform_device_unregister" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xacaa568c, "driver_unregister" },
	{ 0x254c9287, "ioremap" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xf0dcf6aa, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1755009, "_dev_warn" },
	{ 0x3ff95b44, "pci_set_master" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x36c6ceac, "gpiochip_add_data_with_key" },
	{ 0x2df50b0, "jiffies" },
	{ 0x99481770, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x34d603dd, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc32a0525, "pci_release_regions" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xed9708ec, "pci_disable_device" },
	{ 0xf10bab76, "pcie_set_readrq" },
	{ 0x61a082da, "irq_create_of_mapping" },
	{ 0xff8c0799, "of_dma_configure_id" },
	{ 0x479cb8d8, "driver_register" },
	{ 0xff3ceb40, "__dev_fwnode" },
	{ 0x17fa914e, "pci_write_config_dword" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x5aed32c9, "bus_register" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B854C66441333162F8416CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
