#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xb6003497, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1efbcca9, "trace_event_buffer_reserve" },
	{ 0xf5019283, "trace_event_buffer_commit" },
	{ 0x486a6a3c, "__trace_trigger_soft_disabled" },
	{ 0x2781ebf5, "trace_raw_output_prep" },
	{ 0xae474a29, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x62bbfd5a, "bpf_trace_run2" },
	{ 0x924e46d9, "bpf_trace_run3" },
	{ 0x37a0cba, "kfree" },
	{ 0xdcb764ad, "memset" },
	{ 0x5a42d0a6, "sock_sendmsg" },
	{ 0x3b622bd, "sock_recvmsg" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x58f43b48, "del_gendisk" },
	{ 0x21ab8fd3, "blk_mq_free_tag_set" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa20cf9e1, "put_disk" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xda984fde, "single_open" },
	{ 0x6d0245e, "seq_printf" },
	{ 0x89c16ad4, "seq_write" },
	{ 0x2ba79bf3, "blk_mq_end_request" },
	{ 0xae962360, "__dynamic_dev_dbg" },
	{ 0x5a58f8d6, "blk_mq_complete_request" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xec67f48e, "genl_unregister_family" },
	{ 0xcd7eb890, "debugfs_remove" },
	{ 0xde7020e6, "idr_for_each" },
	{ 0x92997ed8, "_printk" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x1a8e2b79, "blk_mq_quiesce_queue" },
	{ 0x5bf3f56a, "blk_mq_tagset_busy_iter" },
	{ 0xe7c1e0a0, "blk_mq_unquiesce_queue" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x1025eb6f, "blk_mq_alloc_tag_set" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x20aec845, "__blk_mq_alloc_disk" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x84f0043f, "device_add_disk" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xb32cfc6b, "genl_register_family" },
	{ 0x14bb4f12, "debugfs_create_dir" },
	{ 0xcb11e91b, "sock_no_shutdown" },
	{ 0x5cfdec90, "sockfd_lookup" },
	{ 0xd119d1cc, "blk_mq_freeze_queue" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xfc2b72d6, "blk_mq_unfreeze_queue" },
	{ 0x478899de, "fput" },
	{ 0x2a7f6ae9, "try_module_get" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xf8b701e6, "module_put" },
	{ 0x18a2f95b, "init_net" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0xf1d7bcb, "genlmsg_put" },
	{ 0x90de9670, "nla_put" },
	{ 0x3d6fba57, "netlink_broadcast_filtered" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x1b519155, "netlink_unicast" },
	{ 0xafec6b62, "blk_mq_requeue_request" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1eb21e58, "queue_limits_commit_update" },
	{ 0xbe698f15, "set_capacity_and_notify" },
	{ 0x764c9a84, "kobject_uevent" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf029df81, "kernel_sock_shutdown" },
	{ 0x63f6c7f3, "_dev_info" },
	{ 0xd1755009, "_dev_warn" },
	{ 0x9f5b3b6a, "refcount_dec_and_mutex_lock" },
	{ 0xd5a9fa2b, "invalidate_disk" },
	{ 0x41adbdb4, "device_remove_file" },
	{ 0x3e16f2f0, "blk_mq_update_nr_hw_queues" },
	{ 0x1be86074, "set_disk_ro" },
	{ 0xaae5137b, "device_create_file" },
	{ 0x92ea41dc, "debugfs_create_file" },
	{ 0xf2cd5a5b, "debugfs_create_u64" },
	{ 0xda7ffea0, "debugfs_create_u32" },
	{ 0x99804a56, "sk_set_memalloc" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xc502535c, "iov_iter_bvec" },
	{ 0x9ea5bf7d, "iov_iter_kvec" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xa51c6701, "netlink_capable" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x7439210, "blk_queue_rq_timeout" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x4ba0f835, "blk_mq_unique_tag" },
	{ 0x6b46ce9e, "iov_iter_advance" },
	{ 0x54ae4434, "blk_mq_start_request" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9523382c, "disk_force_media_change" },
	{ 0x63de3ae6, "set_capacity" },
	{ 0x1000e51, "schedule" },
	{ 0x62a7b944, "seq_lseek" },
	{ 0xe697475d, "seq_read" },
	{ 0x6334f1d4, "single_release" },
	{ 0x3efebc2a, "trace_event_reg" },
	{ 0x65c92c8c, "trace_event_raw_init" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "87430E0D01089E79E7ECDB4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
