#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x6492ab30, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x8bd6fea4, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0xe064ee80, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0xd69bd3f6, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x7692e6ac, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x187a59e2, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x508587a4, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0xbafb9a21, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x198e3a30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde3c76c0, "hid_hw_request" },
	{ 0x4829a47e, "memcpy" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xd1755009, "_dev_warn" },
	{ 0x8360f0c6, "hid_hw_open" },
	{ 0xe0469b26, "_dev_err" },
	{ 0xefe3efe8, "hid_hw_close" },
	{ 0x90e10182, "__hid_register_driver" },
	{ 0xae962360, "__dynamic_dev_dbg" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a9c15e, "complete" },
	{ 0xe9b16351, "hid_hw_stop" },
	{ 0x36811b26, "mfd_remove_devices" },
	{ 0xf485e0f4, "hid_unregister_driver" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x90266b04, "devm_kmalloc" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x9aec66ff, "hid_open_report" },
	{ 0x15affa4a, "hid_hw_start" },
	{ 0xf0df075, "devm_kasprintf" },
	{ 0xe32d2811, "mfd_add_devices" },
	{ 0xc04940d6, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "mfd-core");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "89EB10D99E5EBDA4F7AD956");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
