#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smscore_translate_msg, "_gpl", "");
KSYMTAB_FUNC(smscore_set_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_get_board_id, "_gpl", "");
KSYMTAB_FUNC(smscore_registry_getmode, "_gpl", "");
KSYMTAB_FUNC(smscore_register_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_hotplug, "_gpl", "");
KSYMTAB_FUNC(smscore_register_device, "_gpl", "");
KSYMTAB_FUNC(smscore_start_device, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_device, "_gpl", "");
KSYMTAB_FUNC(smscore_get_device_mode, "_gpl", "");
KSYMTAB_FUNC(smscore_onresponse, "_gpl", "");
KSYMTAB_FUNC(smscore_getbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_putbuffer, "_gpl", "");
KSYMTAB_FUNC(smscore_register_client, "_gpl", "");
KSYMTAB_FUNC(smscore_unregister_client, "_gpl", "");
KSYMTAB_FUNC(smsclient_sendrequest, "_gpl", "");
KSYMTAB_FUNC(sms_get_board, "_gpl", "");
KSYMTAB_FUNC(sms_board_event, "_gpl", "");
KSYMTAB_FUNC(sms_board_setup, "_gpl", "");
KSYMTAB_FUNC(sms_board_power, "_gpl", "");
KSYMTAB_FUNC(sms_board_led_feedback, "_gpl", "");
KSYMTAB_FUNC(sms_board_lna_control, "_gpl", "");
KSYMTAB_FUNC(sms_board_load_modules, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_tx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_rx_message, "_gpl", "");
KSYMTAB_FUNC(smsendian_handle_message_header, "_gpl", "");

SYMBOL_CRC(smscore_translate_msg, 0x34bf0e61, "_gpl");
SYMBOL_CRC(smscore_set_board_id, 0xce7acf81, "_gpl");
SYMBOL_CRC(smscore_get_board_id, 0xb428d113, "_gpl");
SYMBOL_CRC(smscore_registry_getmode, 0x21e36bf2, "_gpl");
SYMBOL_CRC(smscore_register_hotplug, 0x8d54531c, "_gpl");
SYMBOL_CRC(smscore_unregister_hotplug, 0x58c295d2, "_gpl");
SYMBOL_CRC(smscore_register_device, 0x1d050817, "_gpl");
SYMBOL_CRC(smscore_start_device, 0x8e66aebc, "_gpl");
SYMBOL_CRC(smscore_unregister_device, 0x2224e91f, "_gpl");
SYMBOL_CRC(smscore_get_device_mode, 0x51920ac8, "_gpl");
SYMBOL_CRC(smscore_onresponse, 0x20faa603, "_gpl");
SYMBOL_CRC(smscore_getbuffer, 0x23215750, "_gpl");
SYMBOL_CRC(smscore_putbuffer, 0x1994fdd0, "_gpl");
SYMBOL_CRC(smscore_register_client, 0xcc77a6da, "_gpl");
SYMBOL_CRC(smscore_unregister_client, 0xbbdb5c42, "_gpl");
SYMBOL_CRC(smsclient_sendrequest, 0x99a81ab3, "_gpl");
SYMBOL_CRC(sms_get_board, 0x844539ae, "_gpl");
SYMBOL_CRC(sms_board_event, 0xfa782e9f, "_gpl");
SYMBOL_CRC(sms_board_setup, 0xc18cc463, "_gpl");
SYMBOL_CRC(sms_board_power, 0x26b7d68c, "_gpl");
SYMBOL_CRC(sms_board_led_feedback, 0x181431a1, "_gpl");
SYMBOL_CRC(sms_board_lna_control, 0x63848ab4, "_gpl");
SYMBOL_CRC(sms_board_load_modules, 0x74ee9098, "_gpl");
SYMBOL_CRC(smsendian_handle_tx_message, 0x37d91069, "_gpl");
SYMBOL_CRC(smsendian_handle_rx_message, 0x45284ae9, "_gpl");
SYMBOL_CRC(smsendian_handle_message_header, 0x7c576277, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xc7c36554, "ir_raw_event_handle" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x65d4810f, "ir_raw_event_store" },
	{ 0x540b0e87, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xf0ea8e3f, "rc_register_device" },
	{ 0xa79043e3, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x1886db31, "rc_free_device" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x2df50b0, "jiffies" },
	{ 0xa553ebb5, "rc_allocate_device" },
	{ 0xb8d596a0, "dma_free_attrs" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5ef28b58, "rc_unregister_device" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "rc-core");


MODULE_INFO(srcversion, "EFCE69BB33192C9F8533EEE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
