#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dib0090_dcc_freq, "", "");
KSYMTAB_FUNC(dib0090_pwm_gain_reset, "", "");
KSYMTAB_FUNC(dib0090_set_dc_servo, "", "");
KSYMTAB_FUNC(dib0090_gain_control, "", "");
KSYMTAB_FUNC(dib0090_get_current_gain, "", "");
KSYMTAB_FUNC(dib0090_get_wbd_target, "", "");
KSYMTAB_FUNC(dib0090_get_wbd_offset, "", "");
KSYMTAB_FUNC(dib0090_set_switch, "", "");
KSYMTAB_FUNC(dib0090_set_vga, "", "");
KSYMTAB_FUNC(dib0090_update_rframp_7090, "", "");
KSYMTAB_FUNC(dib0090_update_tuning_table_7090, "", "");
KSYMTAB_FUNC(dib0090_get_tune_state, "", "");
KSYMTAB_FUNC(dib0090_set_tune_state, "", "");
KSYMTAB_FUNC(dib0090_register, "_gpl", "");
KSYMTAB_FUNC(dib0090_fw_register, "_gpl", "");

SYMBOL_CRC(dib0090_dcc_freq, 0x2c3d2f4c, "");
SYMBOL_CRC(dib0090_pwm_gain_reset, 0x0d8d49d6, "");
SYMBOL_CRC(dib0090_set_dc_servo, 0x602c31e4, "");
SYMBOL_CRC(dib0090_gain_control, 0xbfbbce07, "");
SYMBOL_CRC(dib0090_get_current_gain, 0xcb14b844, "");
SYMBOL_CRC(dib0090_get_wbd_target, 0x64edaa51, "");
SYMBOL_CRC(dib0090_get_wbd_offset, 0x1c546906, "");
SYMBOL_CRC(dib0090_set_switch, 0x3984f713, "");
SYMBOL_CRC(dib0090_set_vga, 0xbebe8a81, "");
SYMBOL_CRC(dib0090_update_rframp_7090, 0x5310abf8, "");
SYMBOL_CRC(dib0090_update_tuning_table_7090, 0xc288ad51, "");
SYMBOL_CRC(dib0090_get_tune_state, 0xa94a2c3a, "");
SYMBOL_CRC(dib0090_set_tune_state, 0x2ef78dff, "");
SYMBOL_CRC(dib0090_register, 0xfe57ebab, "_gpl");
SYMBOL_CRC(dib0090_fw_register, 0x11dc163b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x9fff03df, "i2c_transfer" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F672ABEBE107C3D9B5D64CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
