#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95472f4a, "regmap_bulk_read" },
	{ 0xbb88535a, "regmap_update_bits_base" },
	{ 0x776ee771, "regmap_get_device" },
	{ 0x39ebeeaf, "devm_hwmon_device_register_with_info" },
	{ 0xb71378c, "i2c_register_driver" },
	{ 0x91c8e7d3, "v4l2_device_unregister" },
	{ 0xa4f60d79, "regmap_exit" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeda33d8, "video_devdata" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e0f8895, "i2c_del_driver" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x728fb90a, "vb2_vmalloc_memops" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xb2258d15, "i2c_get_match_data" },
	{ 0xb1bf9592, "__regmap_init_i2c" },
	{ 0x86c20a9d, "v4l2_device_register" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x3c31693c, "vb2_queue_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22353a81, "__pm_runtime_set_status" },
	{ 0xfb3b35d1, "pm_runtime_enable" },
	{ 0x618d9b92, "pm_runtime_set_autosuspend_delay" },
	{ 0x868db77, "__pm_runtime_use_autosuspend" },
	{ 0xbee76587, "devm_nvmem_register" },
	{ 0xed8ff4b1, "__video_register_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xdde4aafd, "__pm_runtime_suspend" },
	{ 0x3d71a379, "__pm_runtime_disable" },
	{ 0xd1755009, "_dev_warn" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x71d8f2b3, "vb2_buffer_done" },
	{ 0xe023eecf, "kthread_stop" },
	{ 0xa7c58a04, "regmap_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x800473f, "__cond_resched" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xcd7d653c, "vb2_plane_vaddr" },
	{ 0x397e0b27, "freezing_slow_path" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x7a9ed3a8, "__pm_runtime_resume" },
	{ 0xb75f8e53, "video_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35d941e3, "kthread_create_on_node" },
	{ 0xe26a3ac3, "wake_up_process" },
	{ 0xeec2651f, "vb2_ops_wait_prepare" },
	{ 0x6e4b6b9c, "vb2_ops_wait_finish" },
	{ 0xcad3cdf6, "vb2_fop_read" },
	{ 0x19be4e29, "vb2_fop_poll" },
	{ 0x7332ad0c, "video_ioctl2" },
	{ 0x8504884f, "vb2_fop_mmap" },
	{ 0x2448d9df, "v4l2_fh_open" },
	{ 0x4eef92f8, "vb2_fop_release" },
	{ 0x455a72a3, "vb2_ioctl_reqbufs" },
	{ 0x4254043, "vb2_ioctl_querybuf" },
	{ 0xc5efd939, "vb2_ioctl_qbuf" },
	{ 0x757bb670, "vb2_ioctl_dqbuf" },
	{ 0x130e52ad, "vb2_ioctl_create_bufs" },
	{ 0xa5996fbb, "vb2_ioctl_prepare_buf" },
	{ 0xd5d33438, "vb2_ioctl_streamon" },
	{ 0xa326941b, "vb2_ioctl_streamoff" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-vmalloc,regmap-i2c,videobuf2-v4l2,videobuf2-common");

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "721F0D9ABAFFFFD73498686");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
