#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath12k_core_suspend, "", "");
KSYMTAB_FUNC(ath12k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath12k_core_resume_early, "", "");
KSYMTAB_FUNC(ath12k_core_resume, "", "");

SYMBOL_CRC(ath12k_core_suspend, 0xaf37fcca, "");
SYMBOL_CRC(ath12k_core_suspend_late, 0x2fa4c8c6, "");
SYMBOL_CRC(ath12k_core_resume_early, 0xbcf3e0ff, "");
SYMBOL_CRC(ath12k_core_resume, 0xb204fec8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xde44d5f2, "ieee80211_gtk_rekey_notify" },
	{ 0x37ba6bba, "device_set_wakeup_enable" },
	{ 0xdf33c339, "pcie_capability_read_word" },
	{ 0xd267a405, "completion_done" },
	{ 0xc0afee60, "regulatory_set_wiphy_regd_sync" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x994a8af7, "pci_request_region" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4a7fb768, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x34bbdab4, "param_ops_uint" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0xc2c6993d, "pci_enable_device" },
	{ 0x41d5cec9, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x245ea805, "firmware_request_nowarn" },
	{ 0x71623d0f, "mhi_power_down_keep_dev" },
	{ 0xc2ff66f8, "qmi_handle_init" },
	{ 0xb5834662, "consume_skb" },
	{ 0xa997c47a, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xf4686516, "pci_alloc_irq_vectors" },
	{ 0x357db43f, "netif_napi_add_weight" },
	{ 0xac258756, "mhi_device_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6fd5f9f, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x34b0c8b, "mhi_sync_power_up" },
	{ 0x47c722e1, "mhi_power_down" },
	{ 0xf20b374b, "skb_dequeue" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xfc1396ed, "mhi_pm_resume" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x3259ee5a, "ieee80211_free_hw" },
	{ 0xc1fcd859, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x4eaf26fc, "__pci_register_driver" },
	{ 0xb968db0f, "ieee80211_iterate_stations_atomic" },
	{ 0xc2b84ebf, "pci_assign_resource" },
	{ 0x4829a47e, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x42c066f4, "ieee80211_get_fils_discovery_tmpl" },
	{ 0x4e2b8a93, "_raw_read_unlock_bh" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe6ca4cd4, "in6_dev_finish_destroy" },
	{ 0xd16f24e9, "_raw_read_lock_bh" },
	{ 0x446175e5, "ieee80211_register_hw" },
	{ 0x1ea9e887, "ieee80211_restart_hw" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8222f2da, "ieee80211_get_hdrlen_from_skb" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xd2385291, "pci_irq_vector" },
	{ 0x5ebffa6f, "__netif_napi_del" },
	{ 0x217ab4a0, "mhi_register_controller" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0x23b89842, "pci_unregister_driver" },
	{ 0x1e4e6230, "pskb_expand_head" },
	{ 0xd054c82b, "dev_driver_string" },
	{ 0xf55b3b3d, "__arch_hweight16" },
	{ 0x4c586f5c, "ieee80211_tx_status_skb" },
	{ 0xe9bf8f3b, "crypto_destroy_tfm" },
	{ 0xb144c049, "pci_read_config_dword" },
	{ 0x37d58e85, "pci_domain_nr" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x23e73ed2, "dma_map_page_attrs" },
	{ 0xe5b4ca9e, "panic_notifier_list" },
	{ 0x1a717f68, "qmi_send_request" },
	{ 0xc50693d2, "napi_complete_done" },
	{ 0x26cc0c13, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbec1041c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81e523b2, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x3cd92dc, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x8402ef7c, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x379f4c62, "cfg80211_put_bss" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x3c378b04, "qmi_txn_wait" },
	{ 0x38cda9d4, "mhi_pm_suspend" },
	{ 0x63f6c7f3, "_dev_info" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0x9de30731, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xe0573f82, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xec3c979d, "ieee80211_queue_delayed_work" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x75d9dac6, "crypto_shash_setkey" },
	{ 0x24f4b914, "skb_pull" },
	{ 0x1cf5eb68, "mhi_device_get_sync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x387eaf9, "qmi_txn_cancel" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x2d634006, "irq_get_irq_data" },
	{ 0xf23647a6, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2d44c728, "ieee80211_remain_on_channel_expired" },
	{ 0x1faaae1c, "pcie_capability_clear_and_set_word_locked" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde9b16f0, "skb_push" },
	{ 0xa79043e3, "dma_alloc_attrs" },
	{ 0xe075c734, "pci_read_config_word" },
	{ 0xda393ab1, "napi_enable" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6d21bb6f, "ieee80211_wake_queues" },
	{ 0xbb5ec9fe, "free_netdev" },
	{ 0x7c3ba542, "qmi_txn_init" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0x1e35a3, "ieee80211_beacon_get_template" },
	{ 0x81f9a980, "crypto_shash_update" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1aac3efb, "ieee80211_free_txskb" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x9dfdf7cf, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xad0aff4a, "mhi_free_controller" },
	{ 0xf0dcf6aa, "pci_iounmap" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x121c97b2, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1755009, "_dev_warn" },
	{ 0x3ff95b44, "pci_set_master" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xe422a735, "ieee80211_beacon_free_ema_list" },
	{ 0x8656a057, "__netdev_alloc_skb" },
	{ 0xe99f0bc2, "ieee80211_ready_on_channel" },
	{ 0x7f1c24ea, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf9861ff, "skb_trim" },
	{ 0x1ca6e05f, "qmi_handle_release" },
	{ 0x7b71c0e7, "skb_cow_data" },
	{ 0x2df50b0, "jiffies" },
	{ 0xe2a99ca1, "dma_set_coherent_mask" },
	{ 0xb722dd73, "mhi_alloc_controller" },
	{ 0x964c78fe, "skb_realloc_headroom" },
	{ 0x66c250a7, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xde7020e6, "idr_for_each" },
	{ 0x2368c2ec, "mhi_unregister_controller" },
	{ 0x245179c4, "ieee80211_vif_to_wdev" },
	{ 0x6c9ddd1e, "alloc_netdev_dummy" },
	{ 0xb8d596a0, "dma_free_attrs" },
	{ 0xc39dac90, "atomic_notifier_chain_unregister" },
	{ 0xdb0d1654, "ieee80211_scan_completed" },
	{ 0x96b728ba, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7e0750f0, "crypto_shash_final" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3b6c52a8, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4f182b1, "pskb_put" },
	{ 0x6c6ddd7d, "ieee80211_unregister_hw" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xed9708ec, "pci_disable_device" },
	{ 0xbe130ea, "ieee80211_radar_detected" },
	{ 0x3ed5c13d, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xbca11f5b, "ieee80211_queue_work" },
	{ 0xdfbab2fd, "napi_schedule_prep" },
	{ 0x98cf60b3, "strlen" },
	{ 0x46765f83, "napi_disable" },
	{ 0xc2d07754, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x2f43b391, "crypto_alloc_shash" },
	{ 0xcbf447cc, "pci_write_config_word" },
	{ 0x46e68042, "ieee80211_beacon_get_template_ema_list" },
	{ 0x764779fc, "pci_release_region" },
	{ 0xfa7d499c, "mhi_prepare_for_power_up" },
	{ 0x951f8244, "pci_free_irq_vectors" },
	{ 0x7bb81213, "qmi_add_lookup" },
	{ 0x58afbfe6, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0xb3e6e2f1, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers,mhi");

MODULE_ALIAS("pci:v000017CBd00001109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00001107sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7C481A3149D448A4F0E413E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
