#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xc4ee6621, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x6b84108d, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xc088cd17, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xdd02c474, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xb3e02708, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xd2f66c05, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0x7905a024, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x83892718, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22066888, "mt76x02_update_beacon_iter" },
	{ 0x75ff92a8, "mt76x02_enqueue_buffered_bc" },
	{ 0x4b2dd099, "mt76x02_remove_hdr_pad" },
	{ 0x41d5cec9, "skb_put" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5834662, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5475fb9, "mt76x02_resync_beacon_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x400eb7ce, "mt76x02_mcu_parse_response" },
	{ 0x7d8810ca, "mt76_csa_check" },
	{ 0x1ee03edb, "mt76_tx_status_skb_add" },
	{ 0xd97df736, "hrtimer_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1ebafe00, "mt76u_single_wr" },
	{ 0x5d504f19, "__mt76_tx_complete_skb" },
	{ 0x9805550a, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8222f2da, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xae962360, "__dynamic_dev_dbg" },
	{ 0x966b6f52, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaccea0f5, "mt76_csa_finish" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x24f4b914, "skb_pull" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde9b16f0, "skb_push" },
	{ 0xba4531e1, "mt76x02_init_beacon_config" },
	{ 0x1300f2ed, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1610aeba, "mt76x02_mac_write_txwi" },
	{ 0xdcb764ad, "memset" },
	{ 0x110d0ef1, "hrtimer_start_range_ns" },
	{ 0x96b728ba, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x36d62b4a, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xad9dcd46, "mt76_skb_adjust_pad" },
	{ 0x4842f6c7, "hrtimer_cancel" },
	{ 0xb6293be, "mt76x02_mac_set_beacon" },
	{ 0x641079b7, "hrtimer_active" },
	{ 0x14eef4fd, "__mt76_poll" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "9E000E79562F8A49393B891");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
