#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_efuse_read_fw_secure_be, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x9349da46, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0x210ea554, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0xe060d4a8, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x575419a5, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0x963a6859, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0xd46cd69b, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0xa61f3aff, "");
SYMBOL_CRC(rtw89_core_rx, 0x67ed638f, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xe1ea13fb, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x35a587a3, "");
SYMBOL_CRC(rtw89_core_napi_init, 0x7a000a39, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x2a2c2590, "");
SYMBOL_CRC(rtw89_check_quirks, 0xdd639a09, "");
SYMBOL_CRC(rtw89_core_init, 0x89375d42, "");
SYMBOL_CRC(rtw89_core_deinit, 0xebc22128, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xdbfaad60, "");
SYMBOL_CRC(rtw89_core_register, 0x4815406f, "");
SYMBOL_CRC(rtw89_core_unregister, 0x9242b555, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x54cb123d, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x3d5c2b9d, "");
SYMBOL_CRC(rtw89_ops, 0x13c5770e, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x11a294f6, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0x1c9b4d22, "");
SYMBOL_CRC(rtw89_mac_size, 0x3e3298fc, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x8e9113aa, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0x3ce859e7, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0xada5d1d0, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0xc3ca7f11, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0xc104378b, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xf9a67cbc, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xaa4a441b, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xa50ebc92, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0x9190c2d8, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0xe476a0b4, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xc6b146a4, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0x9ebdaa4c, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0xbac508d9, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0x171282d2, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0xb1a549d5, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x712a6e14, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x57b5bdb9, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x217f6913, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0x58d14324, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0x83104cb2, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0xebb50bc9, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x09d8f733, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x5042cbd6, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0xaf4e682e, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0x03e342ce, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0x95a7b093, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0xf3c304cb, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0xce6efb56, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x4c97321a, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0xc6be365d, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0x2fd1a0b4, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0x62a1dcdd, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xa18e303c, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x6600a433, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x8d91117f, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x78ba0063, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x489068c6, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0xab138128, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0x5f100709, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0xdc00f602, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0xaefb943b, "");
SYMBOL_CRC(rtw89_rfk_parser, 0x6385f96f, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x91b1969b, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x280241fd, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x48dba06c, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0xf7f0ef47, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0x5b3c4f43, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x31229b74, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0xfb7e6bd4, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0x3746136f, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0x3650b15c, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x4bd787f3, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x05d45200, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x23325e04, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0xc6053221, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x104c5825, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0xde23ab68, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x38b1ef2e, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x9390d2ce, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x48cb17df, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0x022958aa, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x1791134a, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x2e8656f7, "");
SYMBOL_CRC(rtw89_efuse_read_fw_secure_be, 0x4ff7e7dd, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x4a7a2007, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0x25f0af8b, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0x46c48df7, "");
SYMBOL_CRC(rtw89_ser_notify, 0xe09d7ad0, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb282212b, "ieee80211_stop_tx_ba_session" },
	{ 0xde44d5f2, "ieee80211_gtk_rekey_notify" },
	{ 0x37ba6bba, "device_set_wakeup_enable" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xb1f8c3c1, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9172ea35, "__ieee80211_schedule_txq" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0x27435d80, "cfg80211_bss_iter" },
	{ 0x41d5cec9, "skb_put" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5834662, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x357db43f, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x3259ee5a, "ieee80211_free_hw" },
	{ 0xadf63f6a, "ieee80211_probereq_get" },
	{ 0x78b09ba, "ieee80211_txq_schedule_start" },
	{ 0x540b0e87, "request_firmware" },
	{ 0xb968db0f, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x879d7275, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa5a54f3c, "ieee80211_nullfunc_get" },
	{ 0x9861c2ec, "ieee80211_pspoll_get" },
	{ 0x446175e5, "ieee80211_register_hw" },
	{ 0xee5430c4, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1ea9e887, "ieee80211_restart_hw" },
	{ 0x5ebffa6f, "__netif_napi_del" },
	{ 0x1e4e6230, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x8402ef7c, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x63f6c7f3, "_dev_info" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe0573f82, "wiphy_to_ieee80211_hw" },
	{ 0x264ad967, "ieee80211_gtk_rekey_add" },
	{ 0xec3c979d, "ieee80211_queue_delayed_work" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0xbeb5c36, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2d44c728, "ieee80211_remain_on_channel_expired" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde9b16f0, "skb_push" },
	{ 0xda393ab1, "napi_enable" },
	{ 0x92b9f590, "seq_putc" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x6d21bb6f, "ieee80211_wake_queues" },
	{ 0xbb5ec9fe, "free_netdev" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf6af397f, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1aac3efb, "ieee80211_free_txskb" },
	{ 0xa59544b5, "dev_coredumpv" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x9dfdf7cf, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xa3cabc8b, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1755009, "_dev_warn" },
	{ 0xa2d232f, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d2e885b, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x8656a057, "__netdev_alloc_skb" },
	{ 0x1fccef93, "complete_all" },
	{ 0xe99f0bc2, "ieee80211_ready_on_channel" },
	{ 0x7f1c24ea, "ieee80211_stop_queues" },
	{ 0xbf9861ff, "skb_trim" },
	{ 0xf0cf2b1, "skb_unlink" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6c9ddd1e, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xdb0d1654, "ieee80211_scan_completed" },
	{ 0x96b728ba, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0x6c6ddd7d, "ieee80211_unregister_hw" },
	{ 0x89c16ad4, "seq_write" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d0245e, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe18a54b9, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x225a9f90, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbca11f5b, "ieee80211_queue_work" },
	{ 0xdfbab2fd, "napi_schedule_prep" },
	{ 0x98cf60b3, "strlen" },
	{ 0x46765f83, "napi_disable" },
	{ 0xc2d07754, "dev_kfree_skb_any_reason" },
	{ 0xe9bd3421, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb3e6e2f1, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "F5B6301597758634AC39DAF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
