#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x273a6e53, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xf1b8191a, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x7bfb0994, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x12e86084, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x37b40a0f, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xd0ee4ef7, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xc63d7f2b, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xb7f9400e, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xa3db52a9, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x3336dc83, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x7d26fe96, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x79f3cf61, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x798f6820, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x1ebc866c, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x2f1f3dc1, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xc8da6af5, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xc137420b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d9aee17, "iscsi_dbg_trace" },
	{ 0x87aa3b01, "_dev_printk" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x800473f, "__cond_resched" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xff4f7fd3, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0xbb0baab, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x1667a36a, "iscsi_prep_data_out_pdu" },
	{ 0xd5d5690e, "iscsi_put_task" },
	{ 0x47e2e4cb, "iscsi_conn_failure" },
	{ 0xeaa12538, "iscsi_conn_setup" },
	{ 0x918dea54, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5f7049c3, "__traceiter_iscsi_dbg_tcp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x93bcb328, "iscsi_complete_pdu" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb0f9621, "crypto_ahash_update" },
	{ 0x96c09676, "crypto_ahash_final" },
	{ 0x2df50b0, "jiffies" },
	{ 0xfcbffd72, "skb_prepare_seq_read" },
	{ 0x9d2b0901, "skb_seq_read" },
	{ 0x4829a47e, "memcpy" },
	{ 0x780e64c, "skb_abort_seq_read" },
	{ 0x13717e90, "iscsi_verify_itt" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x7202dbd5, "iscsi_itt_to_ctask" },
	{ 0x3b32f279, "iscsi_get_task" },
	{ 0x737587a6, "iscsi_update_cmdsn" },
	{ 0x638edc9e, "__iscsi_complete_pdu" },
	{ 0xbe8d98c8, "iscsi_requeue_task" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
