#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x682dd74f, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xcdb4fb4b, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0xc23cb999, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x65798d18, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xddeafe62, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xe2e7c341, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x4b963afc, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x06cc093c, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x6fdda919, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x02ef4579, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xe65d6e17, "_gpl");
SYMBOL_CRC(typec_register_partner, 0x4ffe2f08, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x0dc8ade1, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xbabf6299, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x81fbc570, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xeab6da31, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x7209a984, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x1fdd1140, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x8eaa3199, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xc7135718, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x64df0e25, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x5f53020c, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x9c2d3309, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0xc5808422, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x8663855f, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x3004148a, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x1466e3a0, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0xb21c378a, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xff5f78dc, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x562701ec, "_gpl");
SYMBOL_CRC(typec_set_mode, 0xaa261234, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x71af50f5, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0x6df21434, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x64f355a0, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x67a76d1a, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xddbe600b, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x33e7b4ee, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x11004b60, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xe16ec7a2, "_gpl");
SYMBOL_CRC(typec_register_port, 0xfafa02ff, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xc324063d, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0xf203da86, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x5a4212cc, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x1809ec7a, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x1934f249, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0xed27af1a, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x4b9ab2a7, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x919fd01e, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xc017abac, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xc3f87714, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xde67f1ba, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0x9cc26e2c, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x89812475, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x14ed0f8d, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x53c79a60, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xfb9cf132, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x4849375f, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x1f376bfc, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0xf49a2e46, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x2840ba82, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x0630824b, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x1ec3f5a4, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xc655463d, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xa3cbc30f, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xfe3556a0, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0xf2fce4a9, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x359006ec, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0xdf37edf2, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xbb75c9d5, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x2eb36c66, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x8809e99f, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x8900c2ab, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x7efe97c0, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x35420ee0, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0x82427efc, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x882720be, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xccb90a74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x2a7f6ae9, "try_module_get" },
	{ 0x44f5daac, "ida_destroy" },
	{ 0x7534551d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x824e9626, "device_unregister" },
	{ 0x6fdbab4c, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x193c3e26, "fwnode_connection_find_match" },
	{ 0x9ebfbd0a, "fwnode_get_next_child_node" },
	{ 0x5b5a8325, "device_for_each_child" },
	{ 0x5fcd01d, "get_device" },
	{ 0xae962360, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x83c6915e, "sysfs_notify" },
	{ 0x654093f7, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac52486b, "put_device" },
	{ 0xfbb81f2b, "fwnode_property_read_u32_array" },
	{ 0xf8b701e6, "module_put" },
	{ 0x67e0ee0b, "sysfs_create_link" },
	{ 0xc16a19af, "fwnode_get_name" },
	{ 0xa3918daf, "kobject_uevent_env" },
	{ 0x635d5d2f, "sysfs_update_group" },
	{ 0x6b612b75, "bus_unregister" },
	{ 0xe0469b26, "_dev_err" },
	{ 0xc88d4c8c, "device_add" },
	{ 0x2f0f684c, "sysfs_remove_link" },
	{ 0x9d3f7186, "fwnode_property_read_u16_array" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x57eb8c89, "ida_free" },
	{ 0xacaa568c, "driver_unregister" },
	{ 0x14fa44d2, "class_unregister" },
	{ 0xa2469797, "device_find_child" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x94e1ff9d, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xd1755009, "_dev_warn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd67485b1, "fwnode_property_read_string" },
	{ 0x6f70239a, "fwnode_property_present" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x561a1897, "device_get_named_child_node" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x10af9590, "device_match_name" },
	{ 0x764c9a84, "kobject_uevent" },
	{ 0x87d57ac, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0x479cb8d8, "driver_register" },
	{ 0x8f9d161d, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xff3ceb40, "__dev_fwnode" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x5aed32c9, "bus_register" },
	{ 0xd544c21, "class_find_device" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CEAC6DD433EC08DAE9779C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
