#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0x672c52c6, "");
SYMBOL_CRC(netfs_read_folio, 0x870fd323, "");
SYMBOL_CRC(netfs_write_begin, 0x30988838, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0x20880ddb, "");
SYMBOL_CRC(netfs_file_read_iter, 0x3045d5ea, "");
SYMBOL_CRC(netfs_perform_write, 0xf8d0b290, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0xa730cfe1, "");
SYMBOL_CRC(netfs_file_write_iter, 0x7f419a90, "");
SYMBOL_CRC(netfs_page_mkwrite, 0x76ae3927, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0x8bd499d3, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x3e7eef7d, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x88a7a41e, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0x1124a74d, "");
SYMBOL_CRC(netfs_subreq_terminated, 0x29f2baad, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x5c1e00b3, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0xfb7df8e0, "");
SYMBOL_CRC(netfs_start_io_read, 0x70ea33c9, "");
SYMBOL_CRC(netfs_end_io_read, 0xb84942b3, "");
SYMBOL_CRC(netfs_start_io_write, 0x5d0a1066, "");
SYMBOL_CRC(netfs_end_io_write, 0xed122b35, "");
SYMBOL_CRC(netfs_start_io_direct, 0x20f20044, "");
SYMBOL_CRC(netfs_end_io_direct, 0xd2201831, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xd244949f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xff57cea3, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0x75451667, "");
SYMBOL_CRC(netfs_unpin_writeback, 0x74bb6a07, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x497e6aae, "");
SYMBOL_CRC(netfs_invalidate_folio, 0x9cbfd617, "");
SYMBOL_CRC(netfs_release_folio, 0x8c88f6c8, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x90f5f875, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0x13e8ea86, "");
SYMBOL_CRC(netfs_writepages, 0x14a2eaaa, "");
SYMBOL_CRC(netfs_stats_show, 0x495fd175, "");
SYMBOL_CRC(fscache_addremove_sem, 0xd86ba0df, "");
SYMBOL_CRC(fscache_clearance_waiters, 0x66240045, "");
SYMBOL_CRC(fscache_acquire_cache, 0x2da3ff44, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x68d4fba9, "");
SYMBOL_CRC(fscache_add_cache, 0x3eb1e326, "");
SYMBOL_CRC(fscache_io_error, 0xab18a7a8, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x39af6318, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x8a54d295, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x55cf4c4f, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x82a2b757, "");
SYMBOL_CRC(fscache_caching_failed, 0x8913d947, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x5df0ea54, "");
SYMBOL_CRC(__fscache_use_cookie, 0x64b6fc37, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x59a7a024, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xf926a263, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0xe32d6dde, "");
SYMBOL_CRC(fscache_put_cookie, 0x667ba561, "");
SYMBOL_CRC(fscache_get_cookie, 0x4edc98ab, "");
SYMBOL_CRC(__fscache_invalidate, 0x944c1872, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x0d8e0661, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xff4b76aa, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xdf8d1239, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xc50010eb, "");
SYMBOL_CRC(__fscache_write_to_cache, 0xc21a565c, "");
SYMBOL_CRC(__fscache_resize_cookie, 0xe7c5cc77, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0xc8bf0e96, "");
SYMBOL_CRC(fscache_end_volume_access, 0xb2f6ce0f, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x6e8ac6e2, "");
SYMBOL_CRC(fscache_put_volume, 0xce9a0d7d, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x3a5f6823, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x80ff5077, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5c9c055, "vfs_fsync_range" },
	{ 0xb3bfd7a5, "wbc_detach_inode" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd003e32, "bpf_trace_run4" },
	{ 0x604a8b5d, "kiocb_write_and_wait" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x34bbdab4, "param_ops_uint" },
	{ 0x49f1189c, "filemap_range_has_page" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb6d0d211, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2781ebf5, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x486a6a3c, "__trace_trigger_soft_disabled" },
	{ 0x949c35df, "filemap_fdatawrite_range" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x6b46ce9e, "iov_iter_advance" },
	{ 0xae474a29, "trace_event_printf" },
	{ 0xdea66cb4, "xas_find" },
	{ 0x81977855, "folio_redirty_for_writepage" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x65c92c8c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdbb8849f, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xd776cca, "invalidate_inode_pages2_range" },
	{ 0x4bbcf6ed, "wbc_attach_and_unlock_inode" },
	{ 0x62bbfd5a, "bpf_trace_run2" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7bbbafba, "remove_proc_subtree" },
	{ 0x6983e967, "kmem_cache_create" },
	{ 0xace4430d, "folio_clear_dirty_for_io" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x75edabe9, "mempool_free" },
	{ 0xf5019283, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5b25f607, "__filemap_set_wb_err" },
	{ 0x5cdea454, "__filemap_get_folio" },
	{ 0xb2e881f5, "filemap_invalidate_inode" },
	{ 0x5d20893a, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x5dda8238, "__var_waitqueue" },
	{ 0x243514fe, "iov_iter_extract_pages" },
	{ 0xe369273c, "copy_page_from_iter_atomic" },
	{ 0x58ead832, "__folio_swap_cache_index" },
	{ 0x5b515045, "folio_wait_private_2" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe1cd797a, "bit_waitqueue" },
	{ 0x9af89e42, "kmem_cache_size" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0x6ff7cebd, "readahead_expand" },
	{ 0xdce063c7, "__inode_attach_wb" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x669fc96, "__folio_lock_killable" },
	{ 0xb6003497, "perf_trace_run_bpf_submit" },
	{ 0xf6792daf, "down_write" },
	{ 0x75574cc1, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0x6bdcda32, "bpf_trace_run5" },
	{ 0x5079c9d7, "__pte_index_size" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0xe0df96e6, "xas_load" },
	{ 0xa29203a0, "file_update_time" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6cd37beb, "kmem_cache_free" },
	{ 0x92b9f590, "seq_putc" },
	{ 0x3efebc2a, "trace_event_reg" },
	{ 0xf787e741, "file_remove_privs" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x94f7551d, "__folio_start_writeback" },
	{ 0x711c9872, "bpf_trace_run1" },
	{ 0x396c589a, "folio_end_writeback" },
	{ 0x6ca03b3c, "folio_alloc_noprof" },
	{ 0xce3bb6e8, "down_read_interruptible" },
	{ 0x9724dbe0, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0xc502535c, "iov_iter_bvec" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf29326a5, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x9d40c53b, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x58bb0fd8, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf2f8737d, "writeback_iter" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4fca748, "down_read" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x70fc2ebf, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x924e46d9, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x1efbcca9, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x1936267b, "down_write_killable" },
	{ 0xccf58dcb, "filemap_fdatawait_range" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x89c16ad4, "seq_write" },
	{ 0x6678d289, "__folio_put" },
	{ 0xff62296a, "remove_proc_entry" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d0245e, "seq_printf" },
	{ 0xb8fb3a9e, "iov_iter_zero" },
	{ 0x34b87494, "touch_atime" },
	{ 0x4b612512, "filemap_read" },
	{ 0x496b006c, "__percpu_down_read" },
	{ 0x17f091c7, "balance_dirty_pages_ratelimited_flags" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0xb04e170f, "downgrade_write" },
	{ 0x2aca1f69, "filemap_dirty_folio" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x946aecd5, "rcuwait_wake_up" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe5132509, "iov_iter_xarray" },
	{ 0x39479e53, "proc_create_single_data" },
	{ 0xc6fa7e4a, "filemap_write_and_wait_range" },
	{ 0xb38c3b72, "folio_wait_writeback_killable" },
	{ 0xcc4cb259, "mempool_init_noprof" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd3c722ac, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x46d5b095, "generic_write_checks" },
	{ 0x4464ca23, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x85296d94, "proc_create_seq_private" },
	{ 0xafb5bc2f, "folio_wait_private_2_killable" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x49180e5f, "up_read" },
	{ 0x2c05e1c, "iov_iter_npages" },
	{ 0x37b6caf5, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x1d27be9b, "mempool_exit" },
	{ 0x66806f4b, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5AC6356C958C28F4764D8D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
