#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xb1abe9ad, "__traceiter_pnfs_mds_fallback_read_done" },
	{ 0x8bf4f065, "pnfs_register_layoutdriver" },
	{ 0x822107ea, "pnfs_generic_ds_cinfo_release_lseg" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x76f2d99f, "nfs4_mark_deviceid_available" },
	{ 0x5f5bf4f, "nfs_writeback_update_inode" },
	{ 0x34bbdab4, "param_ops_uint" },
	{ 0xd381e90, "__tracepoint_pnfs_mds_fallback_pg_init_write" },
	{ 0x835c60, "nfs4_init_deviceid_node" },
	{ 0xbd06bd1, "__tracepoint_pnfs_mds_fallback_write_pagelist" },
	{ 0xfa06ebea, "nfs_pageio_reset_read_mds" },
	{ 0xd391ef93, "xdr_write_pages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x93b155d2, "pnfs_generic_ds_cinfo_destroy" },
	{ 0x12661415, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd47333c2, "__tracepoint_nfs4_pnfs_write" },
	{ 0x145a654, "xdr_inline_decode" },
	{ 0x6c1f51c4, "rpc_count_iostats_metrics" },
	{ 0x7dff2bcf, "__traceiter_nfs4_pnfs_commit_ds" },
	{ 0xc076f606, "rpc_wake_up" },
	{ 0x399862d4, "pnfs_write_done_resend_to_mds" },
	{ 0x802046c5, "__tracepoint_nfs4_pnfs_read" },
	{ 0x2f1e21ba, "__tracepoint_ff_layout_write_error" },
	{ 0x925ff773, "pnfs_free_commit_array" },
	{ 0x86f72e8, "__traceiter_ff_layout_read_error" },
	{ 0x4829a47e, "memcpy" },
	{ 0x73dc92a4, "pnfs_generic_pg_check_layout" },
	{ 0x37a0cba, "kfree" },
	{ 0x49f9c0a4, "pnfs_generic_prepare_to_resend_writes" },
	{ 0xac93cc44, "pnfs_generic_pg_writepages" },
	{ 0x7a9e2b8f, "rpc_restart_call_prepare" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x9662d767, "__traceiter_nfs4_pnfs_write" },
	{ 0x2174b794, "__tracepoint_ff_layout_commit_error" },
	{ 0x77083b06, "pnfs_read_done_resend_to_mds" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x4be4d735, "pnfs_add_commit_array" },
	{ 0x5cf40a0a, "pnfs_generic_pg_readpages" },
	{ 0xf999267e, "pnfs_generic_commit_release" },
	{ 0xaa172fba, "rpc_clnt_disconnect" },
	{ 0x4c6b32ea, "__put_cred" },
	{ 0x4de43c33, "rpc_cancel_tasks" },
	{ 0x6085edbd, "nfs_map_string_to_numeric" },
	{ 0x92997ed8, "_printk" },
	{ 0x4280e5d1, "nfs4_test_deviceid_unavailable" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd0c1e9f0, "make_kuid" },
	{ 0x7939569d, "__traceiter_ff_layout_commit_error" },
	{ 0x555bb1db, "__tracepoint_pnfs_mds_fallback_read_pagelist" },
	{ 0xa916b694, "strnlen" },
	{ 0x21762d71, "__free_pages" },
	{ 0x69d3558d, "pnfs_generic_rw_release" },
	{ 0x5cec30d2, "pnfs_generic_scan_commit_lists" },
	{ 0x718ed516, "init_task" },
	{ 0x2487ee66, "pnfs_set_layoutcommit" },
	{ 0x395fbeb2, "__traceiter_nfs4_pnfs_read" },
	{ 0xed15fb41, "nfs4_print_deviceid" },
	{ 0xb20b07fa, "pnfs_report_layoutstat" },
	{ 0x7328a7c7, "nfs4_put_deviceid_node" },
	{ 0xb9b58914, "pnfs_put_lseg" },
	{ 0x9ba94c5f, "pnfs_layoutcommit_inode" },
	{ 0x7d9a4f3f, "nfs4_pnfs_ds_add" },
	{ 0x6de9d712, "__traceiter_pnfs_mds_fallback_write_done" },
	{ 0x4dd77d3, "pnfs_destroy_layout" },
	{ 0x99b15432, "pnfs_layout_mark_request_commit" },
	{ 0xffaba9be, "nfs_pageio_reset_write_mds" },
	{ 0xfd858251, "rpc_max_payload" },
	{ 0x5181945a, "nfs4_find_or_create_ds_client" },
	{ 0x19fa4bbe, "__traceiter_ff_layout_write_error" },
	{ 0x7647a4ee, "from_kgid" },
	{ 0x2e823441, "nfs4_find_get_deviceid" },
	{ 0x659cd52, "pnfs_read_resend_pnfs" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf4f3c06a, "__traceiter_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x116fee71, "__put_devmap_managed_folio_refs" },
	{ 0x8073bd66, "__traceiter_pnfs_mds_fallback_read_pagelist" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbee50f9f, "rpc_call_start" },
	{ 0xdd342fa8, "__tracepoint_pnfs_mds_fallback_read_done" },
	{ 0x1c8275ed, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x18b41178, "__tracepoint_ff_layout_read_error" },
	{ 0x43e39fb6, "xdr_init_decode_pages" },
	{ 0x44a1b07c, "pnfs_generic_layout_insert_lseg" },
	{ 0x3337034f, "rpc_delay" },
	{ 0x87b17455, "pnfs_generic_write_commit_done" },
	{ 0xf4f97c68, "pnfs_generic_pg_cleanup" },
	{ 0xc6c68a7b, "rpc_exit" },
	{ 0x53e76e76, "make_kgid" },
	{ 0x993073df, "pnfs_update_layout" },
	{ 0x1378f6d4, "pnfs_generic_pg_test" },
	{ 0xf98a4ddc, "xdr_reserve_space" },
	{ 0xe239a4fa, "nfs4_sequence_done" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xa61759d3, "pnfs_generic_recover_commit_reqs" },
	{ 0x4bd26d67, "pnfs_generic_commit_pagelist" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa6bd9848, "__traceiter_pnfs_mds_fallback_write_pagelist" },
	{ 0x3f906bc5, "nfs_initiate_pgio" },
	{ 0x3a726a90, "nfs4_decode_mp_ds_addr" },
	{ 0x2da1276, "__tracepoint_nfs4_pnfs_commit_ds" },
	{ 0x40718915, "nfs4_mark_deviceid_unavailable" },
	{ 0x79d631a0, "init_user_ns" },
	{ 0x6678d289, "__folio_put" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x468ca0ea, "nfs4_delete_deviceid" },
	{ 0x56470118, "__warn_printk" },
	{ 0x54bef45, "layoutstats_timer" },
	{ 0x6e637af7, "__tracepoint_pnfs_mds_fallback_write_done" },
	{ 0x8c4d93bf, "nfs4_pnfs_ds_put" },
	{ 0x46039098, "pnfs_error_mark_layout_for_return" },
	{ 0xcf18f892, "nfs_initiate_commit" },
	{ 0x7a02f2f1, "alloc_pages_noprof" },
	{ 0x1d57c82c, "__tracepoint_pnfs_mds_fallback_pg_init_read" },
	{ 0x53979d3b, "prepare_kernel_cred" },
	{ 0x40ae9ea5, "nfs4_setup_sequence" },
	{ 0xe19bf601, "nfs42_proc_layouterror" },
	{ 0x98cf60b3, "strlen" },
	{ 0x67925cff, "pnfs_generic_clear_request_commit" },
	{ 0x8be24f50, "__tracepoint_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0xaff9719f, "__traceiter_pnfs_mds_fallback_pg_init_read" },
	{ 0x31b4798f, "nfs4_pnfs_ds_connect" },
	{ 0x1908646a, "xdr_init_encode" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xc36e89ca, "__traceiter_pnfs_mds_fallback_pg_init_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc78cffc3, "pnfs_alloc_commit_array" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x8127af0c, "pnfs_nfs_generic_sync" },
	{ 0x443005df, "nfs4_schedule_session_recovery" },
	{ 0x696d35df, "pnfs_unregister_layoutdriver" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "5222146C453B191DBC77526");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
