#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4ee30ee, "inet_bhash2_reset_saddr" },
	{ 0x2226484e, "inet6_csk_addr2sockaddr" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf4acdc6, "inet6_lookup_reuseport" },
	{ 0x8502d42c, "dccp_v4_connect" },
	{ 0xa4c6f241, "ip_queue_xmit" },
	{ 0xc21830ec, "__fl6_sock_lookup" },
	{ 0xdc0ad819, "dccp_shutdown" },
	{ 0x328b8020, "inet_bhash2_update_saddr" },
	{ 0x17efc29f, "dccp_connect" },
	{ 0xb5834662, "consume_skb" },
	{ 0xb98eda4f, "dccp_rcv_state_process" },
	{ 0xd8c2baad, "dccp_reqsk_send_ack" },
	{ 0x7094e725, "inet6_bind" },
	{ 0xd6d1c49b, "inet_csk_accept" },
	{ 0x56e6e936, "inet6_unregister_protosw" },
	{ 0xbe4eb6ed, "secure_dccpv6_sequence_number" },
	{ 0xabdbeb3c, "sock_common_getsockopt" },
	{ 0xeb05eb67, "__inet_inherit_port" },
	{ 0x2d1a4d65, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x26e67e99, "security_req_classify_flow" },
	{ 0xd9b613be, "__xfrm_policy_check" },
	{ 0x9b95ba36, "inet6_sk_rebuild_header" },
	{ 0x675c783d, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x62230aa5, "__sk_mem_schedule" },
	{ 0x962a75b6, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x23277eba, "inet_csk_reqsk_queue_hash_add" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x1059e4d4, "dccp_syn_ack_timeout" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xf198aedd, "sk_error_report" },
	{ 0x1d4e1b50, "register_pernet_subsys" },
	{ 0x2261a804, "inet_ehash_nolisten" },
	{ 0x5c2d396f, "inet6_del_protocol" },
	{ 0x92997ed8, "_printk" },
	{ 0x9d48aaa4, "dccp_invalid_packet" },
	{ 0xd27c5cc5, "inet_stream_connect" },
	{ 0x4cdc01a0, "proto_unregister" },
	{ 0xa0ea87a6, "dccp_v4_send_check" },
	{ 0xfffb3b83, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x167d3c4f, "dccp_done" },
	{ 0x150aae01, "__sk_dst_check" },
	{ 0xb2df6e46, "dccp_disconnect" },
	{ 0x5c1d4f2b, "proto_register" },
	{ 0xbb2c5ce0, "dccp_destruct_common" },
	{ 0x1aa8872c, "__sk_receive_skb" },
	{ 0x46c7436e, "dccp_poll" },
	{ 0xf0160440, "inet_ctl_sock_create" },
	{ 0xc79c97a4, "dccp_death_row" },
	{ 0x26f4b33d, "inet_csk_get_port" },
	{ 0x57dd0546, "sk_filter_trim_cap" },
	{ 0x137642bc, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x7d25a6de, "inet6_hash" },
	{ 0x73e457fe, "inet_accept" },
	{ 0x5c567293, "inet6_hash_connect" },
	{ 0xd0b6901d, "dccp_sync_mss" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xfb3abd4, "inet_shutdown" },
	{ 0x4fb08346, "sk_free" },
	{ 0xfb20b87c, "dccp_close" },
	{ 0x63379dfb, "dccp_reqsk_init" },
	{ 0x6cd37beb, "kmem_cache_free" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x60cc4cef, "inet6_csk_route_req" },
	{ 0x3b768f84, "inet6_ioctl" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0x2aca1108, "dccp_getsockopt" },
	{ 0xe418984d, "dccp_parse_options" },
	{ 0x8e7a4543, "dccp_v4_request_recv_sock" },
	{ 0x6fdeab3b, "__inet6_lookup_established" },
	{ 0x8cd4eaba, "unregister_pernet_subsys" },
	{ 0x2ba7b612, "ip6_dst_lookup_flow" },
	{ 0x23b9486, "skb_checksum" },
	{ 0x12c9c0bf, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xaff8a47a, "sock_no_mmap" },
	{ 0x177888cd, "__pskb_pull_tail" },
	{ 0x7349826b, "dccp_child_process" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x76d76a2, "sock_common_recvmsg" },
	{ 0xb2ace602, "dccp_setsockopt" },
	{ 0x7ebf0e2c, "dccp_ioctl" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x94d3c21e, "inet6_csk_xmit" },
	{ 0x4009c07f, "sock_rfree" },
	{ 0xf3d556b2, "inet6_getname" },
	{ 0x8ee5208a, "inet6_sock_destruct" },
	{ 0x1dbde643, "inet_sk_rebuild_header" },
	{ 0x7a3c0d3e, "ip6_xmit" },
	{ 0x62baf350, "dccp_recvmsg" },
	{ 0xc2dd1de3, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x8787b620, "inet6_release" },
	{ 0xc6772823, "inet_sendmsg" },
	{ 0x8d9432e1, "dccp_check_req" },
	{ 0xb8fddaa1, "ipv6_dup_options" },
	{ 0x7a8e4b0e, "dccp_create_openreq_child" },
	{ 0xb437584d, "inet_csk_prepare_forced_close" },
	{ 0xcf27d095, "dccp_v4_conn_request" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0x2ff66b5e, "dccp_req_err" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeaa46a31, "sock_pfree" },
	{ 0x5be97c3, "dccp_rcv_established" },
	{ 0xa72a66d9, "skb_clone" },
	{ 0x91e209d9, "dst_release" },
	{ 0x2aaba05, "sock_release" },
	{ 0x602f65d, "dccp_make_response" },
	{ 0xa0b690bb, "dccp_destroy_sock" },
	{ 0xc98a406d, "dccp_ctl_make_reset" },
	{ 0x813e2567, "sock_gettstamp" },
	{ 0xbfc03ee2, "sk_setup_caps" },
	{ 0x89b4668d, "ipv6_opt_accepted" },
	{ 0xd794c079, "dccp_sendmsg" },
	{ 0xa759999a, "inet6_lookup_listener" },
	{ 0xfdea725f, "inet6_add_protocol" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0xf143eae2, "dccp_hashinfo" },
	{ 0x34d435e2, "inet_twsk_put" },
	{ 0xa972515a, "inet_unhash" },
	{ 0xcbcb37d8, "ipv6_getsockopt" },
	{ 0xe473a468, "dccp_set_state" },
	{ 0x6a2c06ac, "inet6_csk_update_pmtu" },
	{ 0x3156ad92, "dccp_v4_do_rcv" },
	{ 0xa41c6266, "__kfree_skb" },
	{ 0x2b58755c, "inet6_ehashfn" },
	{ 0x8ef0b24f, "dccp_init_sock" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "dccp_ipv4,dccp");


MODULE_INFO(srcversion, "C6DD8C59F7E1C34EAAF8598");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
