#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x1d41e553, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x38eb4677, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x862a0711, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x06a09fd5, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x95ac04c3, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xca879372, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x9e675b49, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x1b8168dd, "");
SYMBOL_CRC(ip_vs_conn_put, 0x05b70473, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xd47434fc, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xe243d7a7, "");
SYMBOL_CRC(register_ip_vs_app, 0x5fb19839, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x6b22c1a5, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x9dea7087, "");
SYMBOL_CRC(ip_vs_proto_get, 0xbf392329, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xe76c4c02, "");
SYMBOL_CRC(register_ip_vs_pe, 0x31bb9564, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xa96429cb, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x6fb6e5f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf27a9d61, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x68acc9dd, "nf_conntrack_find_get" },
	{ 0x2a7f6ae9, "try_module_get" },
	{ 0x2916ddf3, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb9b2292, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x7ced26b2, "skb_copy_bits" },
	{ 0x877ada00, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83d33928, "proc_dointvec_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xb5834662, "consume_skb" },
	{ 0xfa96d7aa, "ip6_local_out" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcd1d48ed, "nf_register_sockopt" },
	{ 0x59cd1e54, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x74e82b87, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x8d5f8ecb, "kernel_bind" },
	{ 0xea580db7, "set_user_nice" },
	{ 0xf1d7bcb, "genlmsg_put" },
	{ 0x34364c17, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x378115d8, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe048d0dd, "__module_get" },
	{ 0x1e0941b6, "ip_route_output_flow" },
	{ 0xfdfcdd5f, "__csum_partial" },
	{ 0x6983e967, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x89299c9c, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xfd750347, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9721c08b, "proc_create_net_data" },
	{ 0x1e4e6230, "pskb_expand_head" },
	{ 0x1d4e1b50, "register_pernet_subsys" },
	{ 0xe26a3ac3, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x89fb3643, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe765dfc, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xdf2e544c, "nf_register_net_hooks" },
	{ 0xd4ff170a, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0x45142568, "ipv6_sock_mc_join" },
	{ 0xf8b701e6, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc828d7fd, "ipv6_dev_get_saddr" },
	{ 0xdf3cefdd, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x18a2f95b, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0x1b519155, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe6c73a41, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xc6ad97f1, "ip_route_me_harder" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde9b16f0, "skb_push" },
	{ 0x6cd37beb, "kmem_cache_free" },
	{ 0x70f5149c, "set_cpus_allowed_ptr" },
	{ 0x92b9f590, "seq_putc" },
	{ 0x90de9670, "nla_put" },
	{ 0xeef4e955, "proc_doulongvec_minmax" },
	{ 0x63b70a9, "nf_ct_expect_alloc" },
	{ 0x191e3da, "skb_ensure_writable" },
	{ 0x9ea5bf7d, "iov_iter_kvec" },
	{ 0x8b23ff39, "ip_mc_join_group" },
	{ 0xf97d29dc, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x54a981cb, "ns_capable" },
	{ 0x9160f4dd, "nf_unregister_net_hooks" },
	{ 0xe7effcc7, "inet_select_addr" },
	{ 0x8ddec228, "unregister_pernet_device" },
	{ 0x70b41f4e, "lock_sock_nested" },
	{ 0x4eb8c1d9, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe023eecf, "kthread_stop" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x8af7d220, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8cd4eaba, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x121c97b2, "kernel_connect" },
	{ 0x23b9486, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x6bf05196, "ip_defrag" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9d40c53b, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x177888cd, "__pskb_pull_tail" },
	{ 0x973ce552, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf9861ff, "skb_trim" },
	{ 0xa346ba60, "nf_hook_slow" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x35d941e3, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x87a48465, "nf_ct_deliver_cached_events" },
	{ 0x964c78fe, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd43c8620, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdaced351, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x812f4df2, "skb_set_owner_w" },
	{ 0xf94ed905, "__skb_checksum" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc017a449, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x79d631a0, "init_user_ns" },
	{ 0xbd116b4c, "nf_ct_expect_init" },
	{ 0x89c16ad4, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xff62296a, "remove_proc_entry" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6d0245e, "seq_printf" },
	{ 0x3b622bd, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x70be1a1f, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x338f2f0f, "ipv4_update_pmtu" },
	{ 0x3a0d3eae, "nf_defrag_ipv6_enable" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x91e209d9, "dst_release" },
	{ 0x2aaba05, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9ad989b4, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xeecd1196, "unregister_net_sysctl_table" },
	{ 0xfdb86fc4, "ip_local_out" },
	{ 0xec67f48e, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4a4b5c0, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb32cfc6b, "genl_register_family" },
	{ 0xf5113693, "kernel_sendmsg" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0xcab23901, "nf_ct_netns_put" },
	{ 0x1c4433c2, "register_pernet_device" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x66806f4b, "kmem_cache_destroy" },
	{ 0x19b4768, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc0b51839, "proc_dointvec_minmax" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "E693F2C557C8923665412C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
