#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x0a36e9bd, "");
SYMBOL_CRC(tipc_dump_start, 0xf408370d, "");
SYMBOL_CRC(tipc_dump_done, 0xd70d4e8b, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x5704afc6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a6de66, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x4155102c, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd003e32, "bpf_trace_run4" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x4d3a6b0, "__nlmsg_put" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x41d5cec9, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6d6d184f, "ip6_dst_hoplimit" },
	{ 0xe80386ef, "trace_output_call" },
	{ 0xb5834662, "consume_skb" },
	{ 0xb3bd1cd, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2781ebf5, "trace_raw_output_prep" },
	{ 0x59cd1e54, "nla_put_64bit" },
	{ 0x7ae41c65, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x486a6a3c, "__trace_trigger_soft_disabled" },
	{ 0x6157a9f0, "_raw_write_lock_bh" },
	{ 0xae474a29, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x16cb15c3, "__ip_dev_find" },
	{ 0x810b79d4, "dst_cache_set_ip4" },
	{ 0x6e3b9ecb, "udp_tunnel6_xmit_skb" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf1d7bcb, "genlmsg_put" },
	{ 0xae21316e, "___pskb_trim" },
	{ 0x65c92c8c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e2b8a93, "_raw_read_unlock_bh" },
	{ 0xd16f24e9, "_raw_read_lock_bh" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0xe377247, "crypto_alloc_aead" },
	{ 0x46226c2e, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xfc078139, "netdev_warn" },
	{ 0x8bcdf8ff, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4799e386, "crypto_aead_decrypt" },
	{ 0x61f242a5, "kernel_accept" },
	{ 0xe048d0dd, "__module_get" },
	{ 0x1e0941b6, "ip_route_output_flow" },
	{ 0x46fb559d, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x2475bd5f, "__pskb_copy_fclone" },
	{ 0x1e4e6230, "pskb_expand_head" },
	{ 0x1d4e1b50, "register_pernet_subsys" },
	{ 0xeb129041, "put_cmsg" },
	{ 0x40e905cd, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf5019283, "trace_event_buffer_commit" },
	{ 0x89fb3643, "register_net_sysctl_sz" },
	{ 0xe9bf8f3b, "crypto_destroy_tfm" },
	{ 0x5347d204, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x4cdc01a0, "proto_unregister" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x10a93429, "sock_register" },
	{ 0xf82a830d, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa1c5558e, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x7c969825, "skb_try_coalesce" },
	{ 0x5c1d4f2b, "proto_register" },
	{ 0xb84a3cba, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe93d9484, "__wake_up_sync_key" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0xf8b701e6, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xa13a9e06, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x570e3822, "__dev_get_by_index" },
	{ 0xb6003497, "perf_trace_run_bpf_submit" },
	{ 0x38c47f8c, "__traceiter_sk_data_ready" },
	{ 0x18a2f95b, "init_net" },
	{ 0x5f207ff9, "ipv6_stub" },
	{ 0x24f4b914, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x117cd626, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xfdcbed5, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0x1b519155, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xce2dacf4, "dev_remove_pack" },
	{ 0x4fb08346, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xf029df81, "kernel_sock_shutdown" },
	{ 0x9afc4d44, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xde9b16f0, "skb_push" },
	{ 0x94162f9e, "dst_cache_get" },
	{ 0xfe371a0a, "sock_no_listen" },
	{ 0x90de9670, "nla_put" },
	{ 0xeef4e955, "proc_doulongvec_minmax" },
	{ 0x3efebc2a, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9ea5bf7d, "iov_iter_kvec" },
	{ 0x8b23ff39, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x59a1e531, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8ddec228, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x70b41f4e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcc6d7e57, "skb_copy_datagram_iter" },
	{ 0xa8d49b5d, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6667530c, "_raw_spin_trylock_bh" },
	{ 0x22d5cda6, "sk_alloc" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8cd4eaba, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x9134c707, "kfree_skb_partial" },
	{ 0x54bd5156, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x33035de3, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xaff8a47a, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x177888cd, "__pskb_pull_tail" },
	{ 0x75f9542f, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x5a10a1d1, "rhashtable_destroy" },
	{ 0xb22a42b, "setup_udp_tunnel_sock" },
	{ 0x74662e23, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf9861ff, "skb_trim" },
	{ 0x7b71c0e7, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x924e46d9, "bpf_trace_run3" },
	{ 0x1f438d28, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4009c07f, "sock_rfree" },
	{ 0x593c4367, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x30645821, "kernel_listen" },
	{ 0xdda1904c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xf6078e49, "rhashtable_init_noprof" },
	{ 0x1efbcca9, "trace_event_buffer_reserve" },
	{ 0x753db251, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc017a449, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbec71dc6, "dst_cache_set_ip6" },
	{ 0xd4f182b1, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x39063ca4, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3b622bd, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x225a9f90, "skb_copy" },
	{ 0xa72a66d9, "skb_clone" },
	{ 0x292c43c7, "dev_get_by_name" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xabccd8f2, "_copy_from_iter" },
	{ 0x2aaba05, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x25ddd8a9, "rhashtable_walk_next" },
	{ 0x41334c32, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdf9e5ca8, "sk_stop_timer" },
	{ 0xeecd1196, "unregister_net_sysctl_table" },
	{ 0xec67f48e, "genl_unregister_family" },
	{ 0x9be8e413, "from_kuid_munged" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4464ca23, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0xb32cfc6b, "genl_register_family" },
	{ 0xf5113693, "kernel_sendmsg" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd65001, "skb_to_sgvec" },
	{ 0xce980d92, "rhashtable_walk_exit" },
	{ 0x1c4433c2, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x591515b0, "sock_init_data" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x19b4768, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc0b51839, "proc_dointvec_minmax" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "B6CEEE637C9E9F84B1E1FFC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
