#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedb874ae, "cmp_connection_reserve" },
	{ 0xed2f1c4b, "fw_run_transaction" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x90266b04, "devm_kmalloc" },
	{ 0x8bcd0a7, "amdtp_am824_set_parameters" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7ecc8a07, "snd_fw_transaction" },
	{ 0x98892496, "snd_ctl_add" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x196513b1, "cmp_connection_check_used" },
	{ 0x8739a376, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d264e50, "amdtp_am824_midi_trigger" },
	{ 0xc1eae6fb, "cmp_connection_release" },
	{ 0x8a8916bb, "amdtp_am824_init" },
	{ 0x72d6bc87, "snd_card_register" },
	{ 0x10d76293, "snd_card_free" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x2e47cc9f, "amdtp_am824_add_pcm_hw_constraints" },
	{ 0x96848186, "scnprintf" },
	{ 0xef3d71e9, "cmp_connection_init" },
	{ 0xc67c3baa, "snd_pcm_hw_constraint_minmax" },
	{ 0x929204b0, "cmp_connection_break" },
	{ 0xd2a29478, "fcp_bus_reset" },
	{ 0x976928f9, "amdtp_domain_stream_pcm_pointer" },
	{ 0x561d89dd, "param_array_ops" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x269ed424, "amdtp_domain_init" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x5fcd01d, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x433cae2f, "amdtp_stream_pcm_prepare" },
	{ 0x4b6eecec, "snd_ctl_new1" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac52486b, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x5deee27e, "snd_pcm_hw_rule_add" },
	{ 0x4e446ee, "amdtp_domain_stop" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x70941bab, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x95bd21f0, "snd_hwdep_new" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xdf1124c5, "amdtp_stream_destroy" },
	{ 0xfdfe9b16, "snd_ctl_notify" },
	{ 0xacaa568c, "driver_unregister" },
	{ 0x6cad3686, "snd_pcm_set_ops" },
	{ 0x85cbf16a, "amdtp_domain_add_stream" },
	{ 0xa2eea57d, "avc_general_get_sig_fmt" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x172426f, "cmp_connection_establish" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x522f441, "amdtp_stream_get_max_payload" },
	{ 0xe8f9e155, "avc_general_get_plug_info" },
	{ 0xbfe2f5e1, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xdcb764ad, "memset" },
	{ 0x3d5b6c9d, "fcp_avc_transaction" },
	{ 0x432d2d30, "cmp_connection_destroy" },
	{ 0x2beefa8c, "param_ops_charp" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9b5c9add, "snd_rawmidi_new" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x3276d4e2, "snd_rawmidi_set_ops" },
	{ 0xba67d4ae, "fw_schedule_bus_reset" },
	{ 0x40717e4b, "amdtp_am824_set_pcm_position" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0x9e54223a, "amdtp_am824_set_midi_position" },
	{ 0x7533ef4c, "fw_bus_type" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x6d0245e, "seq_printf" },
	{ 0xe3920efd, "snd_info_create_card_entry" },
	{ 0x3ba7eb66, "avc_general_set_sig_fmt" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0x22aaf6c9, "amdtp_domain_stream_pcm_ack" },
	{ 0xe34c35c3, "amdtp_domain_destroy" },
	{ 0x479cb8d8, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0xee74992f, "amdtp_domain_start" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "snd-firewire-lib,firewire-core,snd,snd-pcm,snd-hwdep,snd-rawmidi");

MODULE_ALIAS("ieee1394:ven000040ABmo00010049sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000040ABmo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010066sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000A92mo00010001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010049sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00010065sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000FF2mo00010067sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001260mo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000022Emo00010067sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001204sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001604sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00000006sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00001616sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001564mo00000610sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000003DBmo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000003DBmo0001EEEEsp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000F1Bmo00010064sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000000Amo00030000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00050000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00060000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00070000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00080000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001496mo00000000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000019E5mo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001A9Emo00000001sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001198mo00010048sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00001198mo0000ADA8sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000003sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000004sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000007sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000005sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000AACmo00000002sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A0DEmo0010000Bsp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A0DEmo0010000Csp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000003sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000006sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000130Emo00000000sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010058sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven000007F5mo00010046sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010060sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010062sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo0000000Asp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010081sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo000100A1sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010070sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010071sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00000D6Cmo00010091sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven0000A07Emo000000A9sp0000A02Dver*");
MODULE_ALIAS("ieee1394:ven00002327mo00020002sp0000A02Dver*");

MODULE_INFO(srcversion, "AAC72521FA263FC676F1CDA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
