#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe698f15, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1a1595d5, "lc_seq_printf_stats" },
	{ 0x1be86074, "set_disk_ro" },
	{ 0x8d895300, "__blk_alloc_disk" },
	{ 0x68856bc2, "bdev_alignment_offset" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xc52d6288, "bdev_file_open_by_path" },
	{ 0x2a7f6ae9, "try_module_get" },
	{ 0xcbd5a62e, "tcp_sock_set_cork" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x346427ad, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x34968bf8, "blk_start_plug" },
	{ 0x1ef92d10, "idr_find" },
	{ 0x34bbdab4, "param_ops_uint" },
	{ 0xfba16232, "lc_get_cumulative" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf78ae9b6, "bio_split_to_limits" },
	{ 0x84f0043f, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0x369501c1, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x59cd1e54, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x6f4f44db, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x6157a9f0, "_raw_write_lock_bh" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0xf1d7bcb, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x62a7b944, "seq_lseek" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x46226c2e, "_raw_write_unlock_bh" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x61f242a5, "kernel_accept" },
	{ 0x6983e967, "kmem_cache_create" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x84e9157c, "sched_set_fifo_low" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x75edabe9, "mempool_free" },
	{ 0x7c152ea7, "tcp_sock_set_quickack" },
	{ 0x3d6fba57, "netlink_broadcast_filtered" },
	{ 0x6d4e5bf5, "bio_end_io_acct_remapped" },
	{ 0xe26a3ac3, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0xe9bf8f3b, "crypto_destroy_tfm" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x2675693b, "lc_del" },
	{ 0x1ff057ee, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0xa20cf9e1, "put_disk" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0x12de578e, "lc_committed" },
	{ 0x1d2ebc6a, "lc_get" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0x33b84f74, "copy_page" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x21762d71, "__free_pages" },
	{ 0x173f2d4d, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1717b4be, "submit_bio" },
	{ 0xf8b701e6, "module_put" },
	{ 0xab55f1ae, "bio_start_io_acct" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf5e276dc, "bdev_discard_alignment" },
	{ 0x96d40a48, "lc_try_get" },
	{ 0xa1a9c757, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xb3aec8d4, "flush_signals" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0x2b808ac6, "bio_put" },
	{ 0xd6b4651a, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x478899de, "fput" },
	{ 0xf6792daf, "down_write" },
	{ 0x18a2f95b, "init_net" },
	{ 0x75574cc1, "up_write" },
	{ 0x75d9dac6, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0xdbdee578, "lc_element_by_index" },
	{ 0x1b519155, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0x355d0b8a, "submit_bio_noacct" },
	{ 0xf029df81, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x70f5149c, "set_cpus_allowed_ptr" },
	{ 0xcd7eb890, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x92b9f590, "seq_putc" },
	{ 0x90de9670, "nla_put" },
	{ 0xd58b6dde, "mutex_is_locked" },
	{ 0x54f81e9e, "crypto_shash_digest" },
	{ 0x9ea5bf7d, "iov_iter_kvec" },
	{ 0x3b21e57, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x5a42d0a6, "sock_sendmsg" },
	{ 0x90227d7e, "bio_add_page" },
	{ 0x81f9a980, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x58f43b48, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaeb959aa, "lc_create" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x116fee71, "__put_devmap_managed_folio_refs" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0xb2532df6, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xcf7fa1fa, "bio_alloc_clone" },
	{ 0xf0e20f9b, "lc_try_lock" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xc502535c, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x75e88edc, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x1fccef93, "complete_all" },
	{ 0xbf18a077, "lc_reset" },
	{ 0x175bdaee, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf9861ff, "skb_trim" },
	{ 0x60c125cd, "mutex_trylock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x35d941e3, "kthread_create_on_node" },
	{ 0xa79000a0, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe697475d, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x1c32d5ad, "lc_seq_dump_details" },
	{ 0x92ea41dc, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7e0750f0, "crypto_shash_final" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc017a449, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0xf781c7d3, "bioset_init" },
	{ 0x89c16ad4, "seq_write" },
	{ 0x6678d289, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xff62296a, "remove_proc_entry" },
	{ 0x64447644, "radix_tree_tagged" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d0245e, "seq_printf" },
	{ 0x3b622bd, "sock_recvmsg" },
	{ 0x764c9a84, "kobject_uevent" },
	{ 0x2aaba05, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x1478e073, "bd_link_disk_holder" },
	{ 0x7a02f2f1, "alloc_pages_noprof" },
	{ 0x1eb21e58, "queue_limits_commit_update" },
	{ 0x6334f1d4, "single_release" },
	{ 0x185908ab, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x791229f7, "tcp_sock_set_nodelay" },
	{ 0x32dc9242, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xec67f48e, "genl_unregister_family" },
	{ 0xfe1dedd6, "__seq_puts" },
	{ 0x39479e53, "proc_create_single_data" },
	{ 0xcc4cb259, "mempool_init_noprof" },
	{ 0xcb562e6, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4d8d7a4, "lc_find" },
	{ 0xda984fde, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x2f43b391, "crypto_alloc_shash" },
	{ 0x14bb4f12, "debugfs_create_dir" },
	{ 0xb32cfc6b, "genl_register_family" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0xf781071f, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x1d27be9b, "mempool_exit" },
	{ 0x2e57c62b, "fs_bio_set" },
	{ 0x66806f4b, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x54b5d5e2, "blkdev_issue_discard" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "lru_cache,libcrc32c");


MODULE_INFO(srcversion, "F89AA075F204021079D1DFD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
