#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x3b886cc0, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xefe75a9d, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x3b887672, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x238cce01, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xc515f4eb, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x66e0de73, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x6c26e6c7, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0xf7293a78, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x252b2fa3, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xf17f53b3, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x33ac6e2f, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x72e6b53c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x98d3af30, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x30d048dd, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x6f7cf435, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xf179dfef, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xc32093f7, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x28e54385, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x2d9a2b0a, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x744e2dd1, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xc50b709f, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xb89f47c1, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xbafa067c, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0xde55182f, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x0097b95c, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x2d4fbc8d, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x1653a99f, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x339f2069, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x2f19f797, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0xd31b92d2, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xcfed442c, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x04a18806, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x4bbb57ec, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x6662062e, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x9be3ddb4, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0xd462ecad, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xb1e568e4, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x986d39ae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5dca55b, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xd054c82b, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x53a35ad4, "drm_exec_prepare_array" },
	{ 0xf8aaa33, "dma_resv_add_fence" },
	{ 0xdcb764ad, "memset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xafb25e37, "drm_gem_private_object_init" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x9dc30eb6, "drm_exec_prepare_obj" },
	{ 0xb659a171, "drm_exec_lock_obj" },
	{ 0xcfbd941e, "drm_exec_init" },
	{ 0xf012539c, "drm_exec_cleanup" },
	{ 0x6e9fcb09, "drm_exec_fini" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x800473f, "__cond_resched" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
