#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_dw_validate_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_adjust_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_prepare_clk, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_configure_master, "_gpl", "");
KSYMTAB_FUNC(i2c_dw_probe_master, "_gpl", "");

SYMBOL_CRC(i2c_dw_validate_speed, 0x81c0801b, "_gpl");
SYMBOL_CRC(i2c_dw_adjust_bus_speed, 0xaa5d0e3c, "_gpl");
SYMBOL_CRC(i2c_dw_prepare_clk, 0x1b967edc, "_gpl");
SYMBOL_CRC(i2c_dw_configure_master, 0xca7c4e83, "_gpl");
SYMBOL_CRC(i2c_dw_probe_master, 0x0def7f9c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x550f3e05, "i2c_freq_mode_string" },
	{ 0xa7c58a04, "regmap_write" },
	{ 0x180b2fe4, "devm_request_threaded_irq" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0xb1640754, "i2c_recover_bus" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd9a9c15e, "complete" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x220c7359, "i2c_generic_scl_recovery" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdd06fcae, "devm_gpiod_get_optional" },
	{ 0xae962360, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34fd5238, "i2c_add_numbered_adapter" },
	{ 0x63f6c7f3, "_dev_info" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xe0469b26, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1755009, "_dev_warn" },
	{ 0x2df50b0, "jiffies" },
	{ 0x760a4c17, "regmap_read" },
	{ 0x7a9ed3a8, "__pm_runtime_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbb88535a, "regmap_update_bits_base" },
	{ 0xdde4aafd, "__pm_runtime_suspend" },
	{ 0xd68b64cf, "try_wait_for_completion" },
	{ 0xd1aab19f, "__devm_regmap_init" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A10D1A1EDC59D06FE4CCE38");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
