#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58df5b94, "ib_get_gids_from_rdma_hdr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x23ab1cbb, "mlx4_update_qp" },
	{ 0x9dafbe1c, "mlx4_unregister_mac" },
	{ 0x19968b3d, "mlx4_buf_write_mtt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3817fa63, "ib_umem_release" },
	{ 0xd39d8193, "mlx4_get_admin_guid" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x832d3878, "mlx4_map_sw_to_hw_steering_id" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x19c0bbde, "mlx4_mr_hw_change_access" },
	{ 0x157ed015, "mlx4_unregister_event_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa8e3206e, "wait_for_completion_timeout" },
	{ 0xba14feb5, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd68b7fb9, "mlx4_write_mtt" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xb13a8f55, "mlx4_gen_slaves_port_mgt_ev" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x88e83cf0, "mlx4_pd_alloc" },
	{ 0x95e03a05, "mlx4_multicast_detach" },
	{ 0xa38fdd91, "rdma_read_gid_l2_fields" },
	{ 0x5a814c84, "mlx4_unregister_vlan" },
	{ 0x27ec19d4, "mlx4_register_mac" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe9e799fc, "ib_ud_header_pack" },
	{ 0xca9360b5, "rb_next" },
	{ 0x46b8d5ef, "__ib_alloc_pd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2db194e2, "radix_tree_lookup" },
	{ 0xc1fcd859, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x623715f7, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xab62888d, "ib_modify_qp_is_ok" },
	{ 0xb4334a70, "mlx4_get_base_gid_ix" },
	{ 0xedc03953, "iounmap" },
	{ 0xa5330fcc, "ib_sa_register_client" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4b1f7977, "ib_sg_to_pages" },
	{ 0x66b4c0ef, "mlx4_register_event_notifier" },
	{ 0x37a0cba, "kfree" },
	{ 0x105a456d, "mlx4_put_slave_node_guid" },
	{ 0xe47e4ed2, "devlink_port_type_clear" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x74cf3526, "ib_process_cq_direct" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x36e97d0, "mlx4_srq_query" },
	{ 0x7f499893, "mlx4_get_active_ports" },
	{ 0x3565bf54, "mlx4_release_eq" },
	{ 0x788f6010, "rdma_alloc_hw_stats_struct" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x578e42f5, "_ib_alloc_device" },
	{ 0x8961b1a2, "mlx4_qp_release_range" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xba30d8fe, "mlx4_mr_hw_write_mpt" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc446d065, "mlx4_get_internal_clock_params" },
	{ 0x6642a0ab, "mlx4_slave_convert_port" },
	{ 0x6c7b2fc2, "mlx4_cq_alloc" },
	{ 0xd054c82b, "dev_driver_string" },
	{ 0x684af9bd, "rdma_create_ah" },
	{ 0x2cb45e04, "ib_unregister_device" },
	{ 0xf7e18cdf, "ib_find_cached_pkey" },
	{ 0x23e73ed2, "dma_map_page_attrs" },
	{ 0x7df376da, "mlx4_get_slave_from_roce_gid" },
	{ 0x83eb43ac, "mlx4_free_cmd_mailbox" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x802b791b, "mlx4_mtt_cleanup" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x2b83efeb, "mlx4_uar_free" },
	{ 0xf6ab9a38, "ib_register_device" },
	{ 0xf272dc7f, "mlx4_xrcd_free" },
	{ 0x45bddc47, "mlx4_qp_query" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2449d4dd, "mlx4_register_auxiliary_driver" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x2185b594, "__mlx4_cmd" },
	{ 0xdf9482ab, "sysfs_remove_file_ns" },
	{ 0x6678c80c, "mlx4_db_free" },
	{ 0x864edbb2, "mlx4_get_slave_port_state" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x1754e1f8, "mlx4_get_devlink_port" },
	{ 0x1352b31, "mlx4_mr_alloc" },
	{ 0x2b6bb41a, "mlx4_multicast_attach" },
	{ 0xf46fc82c, "set_and_calc_slave_port_state" },
	{ 0x82d8f2c9, "ib_sa_guid_info_rec_query" },
	{ 0x7cb4bdc4, "find_vma" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7fa7bb5b, "mlx4_is_eq_shared" },
	{ 0x2d134629, "ib_unregister_mad_agent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xddbe473b, "ib_post_send_mad" },
	{ 0xb1553a66, "ib_create_send_mad" },
	{ 0xc8e9b913, "ib_dispatch_event" },
	{ 0x2fc5e980, "mlx4_is_slave_active" },
	{ 0x2fcf696c, "mlx4_get_slave_default_vlan" },
	{ 0xcb3c5b8b, "ib_sa_unregister_client" },
	{ 0xb7852a05, "ib_ud_header_init" },
	{ 0xfce42b85, "__dma_sync_single_for_cpu" },
	{ 0x1241a1c9, "mlx4_cq_free" },
	{ 0x8c5b8ce1, "mlx4_CLOSE_PORT" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x18a2f95b, "init_net" },
	{ 0xa1a1e48a, "ib_get_cached_pkey" },
	{ 0x6b958320, "ib_ud_ip4_csum" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf916bc78, "mlx4_alloc_cmd_mailbox" },
	{ 0x93bfdfc2, "mlx4_FLOW_STEERING_IB_UC_QP_RANGE" },
	{ 0xe9b95588, "mlx4_counter_free" },
	{ 0x3d389528, "rdma_query_ah" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0x85896bc3, "mlx4_gen_port_state_change_eqe" },
	{ 0xf8307abd, "mlx4_map_sw_to_hw_steering_mode" },
	{ 0x8a752fbe, "ib_umem_get" },
	{ 0xe862fae0, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6c2531eb, "mlx4_uar_alloc" },
	{ 0xe334a725, "ib_query_port" },
	{ 0xbf9fd5c5, "mlx4_gen_guid_change_eqe" },
	{ 0x6f3614b6, "rdma_is_zero_gid" },
	{ 0x36a4804e, "mlx4_mr_rereg_mem_write" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9df26b85, "mlx4_mr_free" },
	{ 0xb9348fe5, "mlx4_xrcd_alloc" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9b875113, "mlx4_buf_alloc" },
	{ 0x804a8ecc, "kobject_init_and_add" },
	{ 0x254c9287, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7e5106c4, "sysfs_create_group" },
	{ 0x89aa6c5f, "mlx4_qp_modify" },
	{ 0x2274bd06, "mlx4_config_roce_v2_port" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xb05cd81d, "mlx4_get_eqs_per_port" },
	{ 0x5b3eb81f, "__ib_create_cq" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x1af87bdb, "mlx4_vf_smi_enabled" },
	{ 0xd0ec7386, "ib_destroy_qp_user" },
	{ 0xf43cfd51, "mlx4_assign_eq" },
	{ 0xe4ad90d, "mlx4_mr_hw_change_pd" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1755009, "_dev_warn" },
	{ 0xcdbe6b0, "mlx4_mr_hw_get_mpt" },
	{ 0x9c5ca9d, "mlx4_mw_alloc" },
	{ 0xd00eda47, "mlx4_register_vlan" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0xc065c771, "mlx4_set_admin_guid" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x4d024322, "mlx4_mtt_init" },
	{ 0xc7fc5d51, "mlx4_mw_enable" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xab2a53ea, "mlx4_get_counter_stats" },
	{ 0x23e36fc6, "mlx4_put_qp" },
	{ 0xece784c2, "rb_first" },
	{ 0xbed0feb1, "mlx4_query_diag_counters" },
	{ 0x616d358d, "rdma_destroy_ah_user" },
	{ 0x980e9a28, "mlx4_unregister_auxiliary_driver" },
	{ 0x671f5caf, "devlink_port_type_ib_set" },
	{ 0x60fc5fc2, "mlx4_qp_remove" },
	{ 0x84d6eb26, "ib_dealloc_device" },
	{ 0xbedb7011, "mlx4_srq_arm" },
	{ 0xc9088950, "ib_free_send_mad" },
	{ 0x6a9c23d0, "ib_get_cached_port_state" },
	{ 0x9fe2e199, "ib_destroy_cq_user" },
	{ 0xb3f776c3, "mlx4_get_roce_gid_from_slave" },
	{ 0x503fd836, "rdma_user_mmap_io" },
	{ 0x83f3844a, "kobject_create_and_add" },
	{ 0xb4fca748, "down_read" },
	{ 0x259ff0e7, "__xa_cmpxchg" },
	{ 0xe26f4dad, "mlx4_qp_free" },
	{ 0x4693a0a7, "ib_modify_qp" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcd25ea, "ib_get_rdma_header_version" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x49b1d97d, "mlx4_cq_resize" },
	{ 0x904a9ac5, "xa_erase" },
	{ 0x7183c114, "sysfs_remove_group" },
	{ 0x3fbad22a, "__mmap_lock_do_trace_start_locking" },
	{ 0x40711267, "mlx4_buf_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x1acacffc, "mlx4_cq_modify" },
	{ 0xf6906ce9, "mlx4_gen_pkey_eqe" },
	{ 0x9b692f8e, "mlx4_mw_free" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc70f168f, "mlx4_tunnel_steer_add" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbbe85999, "mlx4_db_alloc" },
	{ 0xd12377d7, "mlx4_mr_hw_put_mpt" },
	{ 0x19fe25c9, "mlx4_vf_get_enable_smi_admin" },
	{ 0x76d81aa4, "__dma_sync_single_for_device" },
	{ 0x571e6b43, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x9e67559a, "netdev_master_upper_dev_get_rcu" },
	{ 0x534fe2c8, "mlx4_mr_rereg_mem_cleanup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7eb3e709, "mlx4_phys_to_slave_port" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x71f214f0, "__mmap_lock_do_trace_released" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0xbbc7566b, "mlx4_vf_set_enable_smi_admin" },
	{ 0x7fdde0b4, "mlx4_handle_eth_header_mcast_prio" },
	{ 0xe5601e03, "ib_create_qp_kernel" },
	{ 0x5f88de99, "ib_register_mad_agent" },
	{ 0xe01dcb8d, "mlx4_srq_lookup" },
	{ 0x5ad064e7, "ib_dealloc_pd_user" },
	{ 0xc311c174, "mlx4_hw_rule_sz" },
	{ 0x1c47e348, "rdma_port_get_link_layer" },
	{ 0xf201a581, "mlx4_sync_pkey_table" },
	{ 0x514d77be, "xa_find_after" },
	{ 0xecd9d544, "mlx4_INIT_PORT" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdbadf545, "mlx4_qp_alloc" },
	{ 0xd05db8ea, "mlx4_srq_free" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x5359e8dc, "__kvmalloc_node_noprof" },
	{ 0x2b350967, "mlx4_qp_reserve_range" },
	{ 0x378a936b, "mlx4_srq_alloc" },
	{ 0x49180e5f, "up_read" },
	{ 0x1e8266e4, "mlx4_pd_free" },
	{ 0xabfee44c, "mlx4_counter_alloc" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x694361a2, "mlx4_get_default_counter_index" },
	{ 0x38c2e24e, "kobject_get" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0xfb54fb64, "mlx4_mr_enable" },
	{ 0xc5da0a79, "ib_set_device_ops" },
	{ 0xf59b503c, "kobject_put" },
	{ 0x11551356, "mlx4_get_parav_qkey" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "ib_core,mlx4_core,ib_uverbs");

MODULE_ALIAS("auxiliary:mlx4_core.ib");

MODULE_INFO(srcversion, "F614D622F0FCDD04CFEFBD1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
