#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7d0cb7e, "register_md_personality" },
	{ 0x37a0cba, "kfree" },
	{ 0xf125ba5d, "md_bitmap_endwrite" },
	{ 0xba2e301f, "md_write_end" },
	{ 0x28d7571, "bio_free_pages" },
	{ 0x2b808ac6, "bio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x7cad030b, "md_wakeup_thread" },
	{ 0x6d0245e, "seq_printf" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0x797e7138, "mddev_stack_rdev_limits" },
	{ 0xe655972b, "queue_limits_set" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc169ec95, "unregister_md_personality" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x77fec8b, "mempool_alloc_noprof" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x40e9d840, "bio_uninit" },
	{ 0x116fee71, "__put_devmap_managed_folio_refs" },
	{ 0x6678d289, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x75edabe9, "mempool_free" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x1228afb0, "md_bitmap_unplug_async" },
	{ 0x6ff4625e, "bio_associate_blkg" },
	{ 0x355d0b8a, "submit_bio_noacct" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd6b4651a, "bio_endio" },
	{ 0x66d91aeb, "md_bitmap_unplug" },
	{ 0x34968bf8, "blk_start_plug" },
	{ 0x173f2d4d, "blk_finish_plug" },
	{ 0xadcf5b33, "__blk_trace_note_message" },
	{ 0x77e16941, "md_integrity_register" },
	{ 0x1d27be9b, "mempool_exit" },
	{ 0xa1a9c757, "bioset_exit" },
	{ 0xdeef3bb8, "md_bitmap_resize" },
	{ 0x851860c0, "md_set_array_sectors" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd76f7f8c, "md_done_sync" },
	{ 0x36cf620f, "mddev_stack_new_rdev" },
	{ 0xa7a774e6, "bio_init" },
	{ 0x4540bca5, "bio_kmalloc" },
	{ 0x7a02f2f1, "alloc_pages_noprof" },
	{ 0xbf6a7371, "sync_page_io" },
	{ 0x5b8dbf4d, "rdev_set_badblocks" },
	{ 0x6f3898f7, "md_error" },
	{ 0x98d01af8, "kernfs_notify" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xcc4cb259, "mempool_init_noprof" },
	{ 0xf781c7d3, "bioset_init" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x7196979c, "md_register_thread" },
	{ 0xb5de61cb, "md_unregister_thread" },
	{ 0x92997ed8, "_printk" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2f0f684c, "sysfs_remove_link" },
	{ 0x67e0ee0b, "sysfs_create_link" },
	{ 0x393c70df, "md_allow_write" },
	{ 0xddef30c4, "md_bitmap_end_sync" },
	{ 0xa908d66b, "badblocks_check" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x2ddd73ef, "md_cluster_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf7fa1fa, "bio_alloc_clone" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0x7b9f25b1, "__traceiter_block_bio_remap" },
	{ 0xc1dd2bd4, "bio_split" },
	{ 0x4857742f, "bio_chain" },
	{ 0xd752728d, "md_account_bio" },
	{ 0x1e907268, "md_bitmap_start_sync" },
	{ 0xbe653f4a, "md_bitmap_cond_end_sync" },
	{ 0x707de48c, "bio_reset" },
	{ 0x2d423ebe, "md_bitmap_close_sync" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x346427ad, "__bio_add_page" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x2118f826, "md_check_recovery" },
	{ 0xc0a764d7, "rdev_clear_badblocks" },
	{ 0xcbd52069, "bio_trim" },
	{ 0xbbf7058, "submit_bio_wait" },
	{ 0x90227d7e, "bio_add_page" },
	{ 0xcf00051f, "bio_copy_data" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf8989bd2, "md_write_start" },
	{ 0x96a8ec56, "md_bitmap_startwrite" },
	{ 0xc73e0b34, "md_wait_for_blocked_rdev" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x76057e26, "md_flush_request" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0xf781071f, "bio_alloc_bioset" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "md-mod");


MODULE_INFO(srcversion, "2BC23E23EA340A804EA99F1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
