#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0x7411e191, "thermal_zone_device_unregister" },
	{ 0xb282212b, "ieee80211_stop_tx_ba_session" },
	{ 0xebc8c545, "iwl_trans_wait_tx_queues_empty" },
	{ 0xde44d5f2, "ieee80211_gtk_rekey_notify" },
	{ 0x37ba6bba, "device_set_wakeup_enable" },
	{ 0xc0afee60, "regulatory_set_wiphy_regd_sync" },
	{ 0x1cf75d45, "ieee80211_get_tkip_p1k_iv" },
	{ 0x8bac0b46, "thermal_zone_device_priv" },
	{ 0x2a7f6ae9, "try_module_get" },
	{ 0x9a9ce556, "ieee80211_start_tx_ba_cb_irqsafe" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xb1f8c3c1, "ieee80211_report_wowlan_wakeup" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0xb570ef3, "iwl_set_soc_latency" },
	{ 0x1bfd62c9, "iwl_bios_get_pwr_limit" },
	{ 0x92a642d6, "ieee80211_iterate_interfaces" },
	{ 0x523301fd, "ieee80211_sched_scan_stopped" },
	{ 0xa96a4350, "iwl_configure_rxq" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xed309178, "iwl_trans_set_q_ptrs" },
	{ 0xddf274df, "ieee80211_chswitch_done" },
	{ 0x27435d80, "cfg80211_bss_iter" },
	{ 0x41d5cec9, "skb_put" },
	{ 0xa98c2ca4, "iwl_notification_wait_init" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa457573, "ieee80211_unreserve_tid" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x877ff996, "iwl_sar_fill_profile" },
	{ 0xb5834662, "consume_skb" },
	{ 0x41a4d665, "iwl_trans_reclaim" },
	{ 0xd3666f3b, "iwl_fill_ppag_table" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc2d9cc7a, "iwl_trans_configure" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xafc4b75b, "iwl_dbg_tlv_del_timers" },
	{ 0xcd3b4551, "wiphy_work_flush" },
	{ 0x776221bf, "iwl_send_phy_db_data" },
	{ 0x63842d3, "ieee80211_update_mu_groups" },
	{ 0xf20b374b, "skb_dequeue" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x3259ee5a, "ieee80211_free_hw" },
	{ 0x9c4ac913, "iwl_notification_wait" },
	{ 0x56fd4167, "iwl_fw_runtime_suspend" },
	{ 0x958d1955, "iwl_fw_lookup_notif_ver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc341c7df, "iwl_trans_start_hw" },
	{ 0x740fd96f, "ieee80211_get_tkip_p2k" },
	{ 0xc582c596, "iwl_fill_lari_config" },
	{ 0xb968db0f, "ieee80211_iterate_stations_atomic" },
	{ 0xddf8dc1f, "iwl_fw_disable_dbg_asserts" },
	{ 0x531c3426, "iwl_trans_start_fw" },
	{ 0x3d6620b5, "for_each_thermal_trip" },
	{ 0x35f645e, "thermal_zone_device_update" },
	{ 0xd651f4d4, "ieee80211_tx_status_ext" },
	{ 0x3961877, "ptp_clock_index" },
	{ 0xf07ad0eb, "iwl_fw_runtime_init" },
	{ 0xf8e27f96, "iwl_fw_dbg_collect_trig" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x447670df, "iwl_fw_dbg_collect_desc" },
	{ 0x4e2b8a93, "_raw_read_unlock_bh" },
	{ 0xd16f24e9, "_raw_read_lock_bh" },
	{ 0x286dee17, "thermal_cooling_device_register" },
	{ 0xeb3384f3, "led_classdev_unregister" },
	{ 0x446175e5, "ieee80211_register_hw" },
	{ 0x1ea9e887, "ieee80211_restart_hw" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x47fa00d9, "ieee80211_sta_eosp" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x84ca2c57, "ieee80211_rate_control_unregister" },
	{ 0x3bf320f4, "__ieee80211_get_radio_led_name" },
	{ 0x78971d7e, "iwl_he_is_sgi" },
	{ 0x5c52e109, "iwl_opmode_deregister" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x2bc3b0b5, "iwl_bios_get_tas_table" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc9401bcf, "iwl_trans_txq_set_shared_mode" },
	{ 0x5fcd01d, "get_device" },
	{ 0x9481159c, "iwl_abort_notification_waits" },
	{ 0x957b46d4, "iwl_get_nvm" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x35033c81, "iwl_phy_db_free" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x974656f0, "iwl_trans_fw_alive" },
	{ 0x1e4e6230, "pskb_expand_head" },
	{ 0x84bb50e1, "iwl_rs_pretty_ant" },
	{ 0x40e905cd, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x11109e80, "iwl_init_paging" },
	{ 0x53716d, "thermal_zone_device_enable" },
	{ 0xf55b3b3d, "__arch_hweight16" },
	{ 0x4c586f5c, "ieee80211_tx_status_skb" },
	{ 0x86dddf58, "__iwl_warn" },
	{ 0x54a6f499, "cfg80211_pmsr_report" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0xd58deb8b, "ieee80211_iter_keys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1c5c832, "pm_wakeup_dev_event" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x5dca58ce, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x666393e5, "ieee80211_sta_set_buffered" },
	{ 0x77dbacfb, "ieee80211_sta_uapsd_trigger" },
	{ 0xd64e5f46, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbdf18448, "wiphy_delayed_work_queue" },
	{ 0x1e5952f5, "iwl_bios_get_ewrd_table" },
	{ 0x62a9ccfe, "__iwl_info" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xac52486b, "put_device" },
	{ 0x1dab0efe, "ieee80211_set_key_rx_seq" },
	{ 0x7b06950a, "iwl_fw_lookup_cmd_ver" },
	{ 0xf4f74c9a, "iwl_pnvm_load" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0xfadbb9b7, "iwl_fw_dbg_error_collect" },
	{ 0x21762d71, "__free_pages" },
	{ 0x7ce31c3e, "iwlwifi_mod_params" },
	{ 0x7e180798, "iwl_read_external_nvm" },
	{ 0x4525e7c0, "cfg80211_pmsr_complete" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0x3914f917, "_iwl_dbg_tlv_time_point" },
	{ 0xf8b701e6, "module_put" },
	{ 0x9de30731, "ieee80211_get_channel_khz" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xea792270, "ieee80211_remove_key" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe0573f82, "wiphy_to_ieee80211_hw" },
	{ 0x86055008, "ieee80211_rx_ba_timer_expired" },
	{ 0x264ad967, "ieee80211_gtk_rekey_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbd2eaf85, "iwl_trans_pcie_remove" },
	{ 0x7c55f97b, "iwl_is_tas_approved" },
	{ 0xe0469b26, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xbc65971b, "ieee80211_reserve_tid" },
	{ 0x4d9e31c4, "ptp_clock_register" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0x32a0681a, "iwl_bios_get_mcc" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf23647a6, "ieee80211_find_sta_by_ifaddr" },
	{ 0xd06eac39, "ieee80211_sta_block_awake" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xea1b26fc, "iwl_nvm_fixups" },
	{ 0x957c5132, "iwl_bios_get_eckv" },
	{ 0x2d44c728, "ieee80211_remain_on_channel_expired" },
	{ 0x31063b1, "iwl_trans_tx" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x6cd37beb, "kmem_cache_free" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xce9116c, "iwl_write32" },
	{ 0x6f9bc0dc, "ieee80211_beacon_set_cntdwn" },
	{ 0x9a9ad9c7, "ieee80211_sta_pspoll" },
	{ 0x6d21bb6f, "ieee80211_wake_queues" },
	{ 0x49e0135d, "iwl_new_rate_from_v1" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x46ab1824, "iwl_fwrt_dump_error_logs" },
	{ 0x1e35a3, "ieee80211_beacon_get_template" },
	{ 0xf8dfd510, "ieee80211_rate_control_register" },
	{ 0xe7f0c016, "wiphy_work_queue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5ca68f19, "iwl_parse_nvm_mcc_info" },
	{ 0xe3211fa3, "iwl_bios_get_wgds_table" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf6af397f, "ieee80211_iter_keys_rcu" },
	{ 0x27f36a86, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd004ea88, "ieee80211_key_mic_failure" },
	{ 0x1aac3efb, "ieee80211_free_txskb" },
	{ 0xfd3d7a01, "led_classdev_register_ext" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x21392072, "ieee80211_channel_switch_disconnect" },
	{ 0x9dfdf7cf, "ieee80211_alloc_hw_nm" },
	{ 0xb37b318c, "iwl_rs_pretty_bw" },
	{ 0xa92d3847, "iwl_free_fw_paging" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe4bde5a0, "iwl_init_notification_wait" },
	{ 0x6667530c, "_raw_spin_trylock_bh" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xf8abde75, "iwl_sar_geo_support" },
	{ 0xb3f61f7f, "cfg80211_bss_flush" },
	{ 0xa3cabc8b, "ieee80211_tx_dequeue" },
	{ 0x80c6c5ce, "thermal_zone_device_register_with_trips" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x71b47862, "wiphy_work_cancel" },
	{ 0xdcb764ad, "memset" },
	{ 0x85de3f6f, "wiphy_delayed_work_timer" },
	{ 0x55fcb315, "iwl_reinit_cab" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x74af62da, "wiphy_delayed_work_cancel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x103c256e, "__iwl_dbg" },
	{ 0x9d40c53b, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x89a98c0, "ptp_clock_unregister" },
	{ 0x31d0baf8, "iwl_get_shared_mem_conf" },
	{ 0xb2bf48d4, "iwl_bios_get_wrds_table" },
	{ 0x34bbe6ef, "iwl_read_prph" },
	{ 0xe99f0bc2, "ieee80211_ready_on_channel" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x30e42b7a, "ieee80211_send_eosp_nullfunc" },
	{ 0xc007a7a6, "iwl_trans_txq_disable" },
	{ 0x5cc8c0d7, "iwl_trans_txq_free" },
	{ 0x7f1c24ea, "ieee80211_stop_queues" },
	{ 0x281f7576, "iwl_trans_send_cmd" },
	{ 0x391eda45, "ieee80211_get_tkip_rx_p1k" },
	{ 0x2df50b0, "jiffies" },
	{ 0xdd2f8c0f, "ieee80211_cqm_beacon_loss_notify" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x66c250a7, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1e0f8a7a, "iwl_wait_notification" },
	{ 0x245179c4, "ieee80211_vif_to_wdev" },
	{ 0xbf8af3a2, "ieee80211_mark_rx_ba_filtered_frames" },
	{ 0xd24108d4, "rfkill_soft_blocked" },
	{ 0x68fc3409, "iwl_fw_dbg_stop_restart_recording" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x89e9cfb3, "ieee80211_sched_scan_results" },
	{ 0xdb0d1654, "ieee80211_scan_completed" },
	{ 0xee6dcc3d, "iwl_trans_set_bits_mask" },
	{ 0x96b728ba, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7c3ac925, "ieee80211_get_vht_max_nss" },
	{ 0x16ad7c5f, "ieee80211_tkip_add_iv" },
	{ 0x37956b72, "rs_pretty_print_rate" },
	{ 0x6c6ddd7d, "ieee80211_unregister_hw" },
	{ 0xb7d5ffb1, "iwl_rate_mcs" },
	{ 0x6ea6967e, "iwl_trans_txq_alloc" },
	{ 0x62d0329d, "ieee80211_resume_disconnect" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x874c77de, "iwl_fw_rate_idx_to_plcp" },
	{ 0x57ed157e, "iwl_trans_freeze_txq_timer" },
	{ 0x56470118, "__warn_printk" },
	{ 0xea1a6c6c, "ieee80211_set_active_links_async" },
	{ 0xc4da799d, "iwl_opmode_register" },
	{ 0xd0ef65dc, "iwl_sar_geo_fill_table" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x225a9f90, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x8f219780, "iwl_set_bits_mask_prph" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xce0c6460, "iwl_phy_db_set_section" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x2cc3b9f0, "ieee80211_tdls_oper_request" },
	{ 0x8c27a6e5, "iwl_bios_get_ppag_table" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0x3db469db, "iwl_fw_dbg_read_d3_debug_data" },
	{ 0x22d35204, "iwl_fw_dbg_stop_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x153ff992, "iwl_force_nmi" },
	{ 0x86f990, "iwl_is_ppag_approved" },
	{ 0x5abf40c4, "ieee80211_request_smps" },
	{ 0xa2a483ff, "thermal_cooling_device_unregister" },
	{ 0x2710c362, "iwl_dump_desc_assert" },
	{ 0x2c261a1d, "cfg80211_get_iftype_ext_capa" },
	{ 0x11d2f849, "iwl_trans_stop_device" },
	{ 0xb546cc5, "skb_add_rx_frag_netmem" },
	{ 0xde7bc9e1, "iwl_fw_start_dbg_conf" },
	{ 0x3eb9563a, "iwl_fw_runtime_resume" },
	{ 0xb1cb817d, "iwl_bios_get_dsm" },
	{ 0xe77617a1, "ieee80211_set_active_links" },
	{ 0xfc47885f, "iwl_trans_read_mem" },
	{ 0x81e12b6f, "ieee80211_sta_ps_transition" },
	{ 0x4706ce1f, "iwl_trans_op_mode_leave" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x2982ec1d, "regulatory_set_wiphy_regd" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0xb54d72ea, "iwl_trans_wait_txq_empty" },
	{ 0x13069c6, "iwl_remove_notification" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x4da85961, "ieee80211_sta_recalc_aggregates" },
	{ 0xe1351946, "iwl_trans_d3_suspend" },
	{ 0xad29ec28, "__skb_gso_segment" },
	{ 0x652274f8, "iwl_trans_d3_resume" },
	{ 0xab824de2, "iwl_parse_nvm_data" },
	{ 0x62f8fea5, "iwl_trans_txq_enable_cfg" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3cc41054, "ieee80211_disconnect" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x3cbc0709, "ieee80211_iterate_active_interfaces_mtx" },
	{ 0xb167e5c8, "__iwl_err" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x9e1c1431, "ieee80211_key_replay" },
	{ 0x40ac5d58, "ieee80211_rx_irqsafe" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb3e6e2f1, "ieee80211_rx_napi" },
	{ 0xd0c38c2e, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2d4596ea, "iwl_phy_db_init" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "mac80211,iwlwifi,cfg80211,led-class,rfkill");


MODULE_INFO(srcversion, "DDAAD7F28F92E6BB4E020E6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
