#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x8cf9848d, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x4d192168, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x7fd5db67, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xe53576fa, "_gpl");
SYMBOL_CRC(p54_rx, 0x95fbba86, "_gpl");
SYMBOL_CRC(p54_init_common, 0x68cca2eb, "_gpl");
SYMBOL_CRC(p54_register_common, 0xc88a9515, "_gpl");
SYMBOL_CRC(p54_free_common, 0x60a0c80b, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x774711ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41d5cec9, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5834662, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0xf20b374b, "skb_dequeue" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x3259ee5a, "ieee80211_free_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x879d7275, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb3384f3, "led_classdev_unregister" },
	{ 0x446175e5, "ieee80211_register_hw" },
	{ 0xee5430c4, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8222f2da, "ieee80211_get_hdrlen_from_skb" },
	{ 0x3bf320f4, "__ieee80211_get_radio_led_name" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x472bca57, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x671aa75c, "__ieee80211_get_tx_led_name" },
	{ 0x40e905cd, "skb_queue_purge_reason" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x26cc0c13, "ieee80211_handle_wake_tx_queue" },
	{ 0xbec1041c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xc5faee85, "__ieee80211_get_rx_led_name" },
	{ 0x63f6c7f3, "_dev_info" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xec3c979d, "ieee80211_queue_delayed_work" },
	{ 0xe0469b26, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x24f4b914, "skb_pull" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde9b16f0, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1aac3efb, "ieee80211_free_txskb" },
	{ 0xfd3d7a01, "led_classdev_register_ext" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x9dfdf7cf, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1755009, "_dev_warn" },
	{ 0xa2d232f, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4d2e885b, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x8f490257, "ieee80211_stop_queue" },
	{ 0x8656a057, "__netdev_alloc_skb" },
	{ 0xbf9861ff, "skb_trim" },
	{ 0xf0cf2b1, "skb_unlink" },
	{ 0x66c250a7, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x101f0780, "__ieee80211_get_assoc_led_name" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0x6c6ddd7d, "ieee80211_unregister_hw" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe18a54b9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc2d07754, "dev_kfree_skb_any_reason" },
	{ 0x87aa3b01, "_dev_printk" },
	{ 0xe9bd3421, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x40ac5d58, "ieee80211_rx_irqsafe" },
	{ 0xd239a763, "skb_queue_head" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,led-class");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
