#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mwifiex_queue_main_work, "_gpl", "");
KSYMTAB_FUNC(mwifiex_main_process, "_gpl", "");
KSYMTAB_FUNC(mwifiex_multi_chan_resync, "_gpl", "");
KSYMTAB_FUNC(mwifiex_upload_device_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_drv_info_dump, "_gpl", "");
KSYMTAB_FUNC(mwifiex_prepare_fw_dump_info, "_gpl", "");
KSYMTAB_FUNC(mwifiex_shutdown_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_reinit_sw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_card, "_gpl", "");
KSYMTAB_FUNC(mwifiex_remove_card, "_gpl", "");
KSYMTAB_FUNC(_mwifiex_dbg, "_gpl", "");
KSYMTAB_FUNC(mwifiex_dnld_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_hs_config, "_gpl", "");
KSYMTAB_FUNC(mwifiex_process_sleep_confirm_resp, "_gpl", "");
KSYMTAB_FUNC(mwifiex_init_shutdown_fw, "_gpl", "");
KSYMTAB_FUNC(mwifiex_alloc_dma_align_buf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_fw_dump_event, "_gpl", "");
KSYMTAB_FUNC(mwifiex_handle_rx_packet, "_gpl", "");
KSYMTAB_FUNC(mwifiex_write_data_complete, "_gpl", "");
KSYMTAB_FUNC(mwifiex_deauthenticate_all, "_gpl", "");
KSYMTAB_FUNC(mwifiex_cancel_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_enable_hs, "_gpl", "");
KSYMTAB_FUNC(mwifiex_disable_auto_ds, "_gpl", "");
KSYMTAB_FUNC(mwifiex_add_virtual_intf, "_gpl", "");
KSYMTAB_FUNC(mwifiex_del_virtual_intf, "_gpl", "");

SYMBOL_CRC(mwifiex_queue_main_work, 0xee231f2e, "_gpl");
SYMBOL_CRC(mwifiex_main_process, 0xa23f433f, "_gpl");
SYMBOL_CRC(mwifiex_multi_chan_resync, 0x1b2e6deb, "_gpl");
SYMBOL_CRC(mwifiex_upload_device_dump, 0xec851bf0, "_gpl");
SYMBOL_CRC(mwifiex_drv_info_dump, 0xf9c644a0, "_gpl");
SYMBOL_CRC(mwifiex_prepare_fw_dump_info, 0xb3e27ab2, "_gpl");
SYMBOL_CRC(mwifiex_shutdown_sw, 0xe44dc604, "_gpl");
SYMBOL_CRC(mwifiex_reinit_sw, 0x633b6574, "_gpl");
SYMBOL_CRC(mwifiex_add_card, 0xa54b78b7, "_gpl");
SYMBOL_CRC(mwifiex_remove_card, 0x5c90d18d, "_gpl");
SYMBOL_CRC(_mwifiex_dbg, 0x20f5f524, "_gpl");
SYMBOL_CRC(mwifiex_dnld_fw, 0x5cc8c143, "_gpl");
SYMBOL_CRC(mwifiex_process_hs_config, 0xc61b066b, "_gpl");
SYMBOL_CRC(mwifiex_process_sleep_confirm_resp, 0xfe4fcfce, "_gpl");
SYMBOL_CRC(mwifiex_init_shutdown_fw, 0x3daf3dcf, "_gpl");
SYMBOL_CRC(mwifiex_alloc_dma_align_buf, 0xd4dad9f3, "_gpl");
SYMBOL_CRC(mwifiex_fw_dump_event, 0xb272db69, "_gpl");
SYMBOL_CRC(mwifiex_handle_rx_packet, 0xdf8f6068, "_gpl");
SYMBOL_CRC(mwifiex_write_data_complete, 0xcf12b0f2, "_gpl");
SYMBOL_CRC(mwifiex_deauthenticate_all, 0xbaec5484, "_gpl");
SYMBOL_CRC(mwifiex_cancel_hs, 0xaea7231b, "_gpl");
SYMBOL_CRC(mwifiex_enable_hs, 0xf0de7f99, "_gpl");
SYMBOL_CRC(mwifiex_disable_auto_ds, 0x81a36e1d, "_gpl");
SYMBOL_CRC(mwifiex_add_virtual_intf, 0xe5fe51bd, "_gpl");
SYMBOL_CRC(mwifiex_del_virtual_intf, 0x957f52d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f2bbe58, "cfg80211_sched_scan_results" },
	{ 0x29c39904, "skb_complete_wifi_ack" },
	{ 0x58a3e48d, "cfg80211_mgmt_tx_status_ext" },
	{ 0x37ba6bba, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4a7fb768, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x180b2fe4, "devm_request_threaded_irq" },
	{ 0x34bbdab4, "param_ops_uint" },
	{ 0x41d5cec9, "skb_put" },
	{ 0xe2b12c4b, "of_property_read_variable_u32_array" },
	{ 0x129feae4, "cfg80211_chandef_dfs_required" },
	{ 0x838c9824, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfc8e8b5f, "cfg80211_sched_scan_stopped" },
	{ 0x12661415, "param_ops_ushort" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xf46ff46, "cfg80211_remain_on_channel_expired" },
	{ 0x4b07a71b, "cfg80211_cac_event" },
	{ 0xf20b374b, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x4c58cc62, "cfg80211_register_netdevice" },
	{ 0x540b0e87, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x5c330ea, "ieee80211_amsdu_to_8023s" },
	{ 0x8bb51db5, "cfg80211_ref_bss" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x4829a47e, "memcpy" },
	{ 0x879d7275, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x411ef8b, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xa29ea2d7, "cfg80211_new_sta" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xae962360, "__dynamic_dev_dbg" },
	{ 0x4303631f, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6bb03cdb, "ether_setup" },
	{ 0x7839f708, "dev_addr_mod" },
	{ 0x5347d204, "eth_type_trans" },
	{ 0x590b2ca5, "alloc_netdev_mqs" },
	{ 0xe085560f, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x2af6f4b2, "cfg80211_ready_on_channel" },
	{ 0x1c5c832, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x92811792, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x342940d1, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x379f4c62, "cfg80211_put_bss" },
	{ 0x517db6b, "netif_device_detach" },
	{ 0xe815d7d, "cfg80211_ch_switch_notify" },
	{ 0x63f6c7f3, "_dev_info" },
	{ 0x237907e, "netif_device_attach" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x9de30731, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x1b87fd7f, "__cfg80211_radar_event" },
	{ 0xc98da760, "cfg80211_tdls_oper_request" },
	{ 0x124e5f09, "device_wakeup_disable" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9c300abc, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x627ba969, "devm_kmemdup" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x8de3d15b, "device_wakeup_enable" },
	{ 0x7abfc601, "cfg80211_ibss_joined" },
	{ 0xcaa84da3, "request_firmware_nowait" },
	{ 0x516b124d, "simple_open" },
	{ 0x24f4b914, "skb_pull" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb70e770b, "wiphy_apply_custom_regulatory" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8fff0558, "cfg80211_michael_mic_failure" },
	{ 0x8d2e71f7, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde9b16f0, "skb_push" },
	{ 0xcd7eb890, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x6e7a568d, "cfg80211_del_sta_sinfo" },
	{ 0x893310fa, "wiphy_unregister" },
	{ 0xbb5ec9fe, "free_netdev" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa59544b5, "dev_coredumpv" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xccb5134b, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x839fb83f, "netif_tx_stop_all_queues" },
	{ 0xb41e1a4e, "netif_tx_wake_queue" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x2beefa8c, "param_ops_charp" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xb6cc34c8, "of_property_read_variable_u8_array" },
	{ 0x75f9542f, "netif_rx" },
	{ 0x8656a057, "__netdev_alloc_skb" },
	{ 0x1fccef93, "complete_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbf9861ff, "skb_trim" },
	{ 0xf0cf2b1, "skb_unlink" },
	{ 0x2df50b0, "jiffies" },
	{ 0x3176c8f1, "cfg80211_sched_scan_stopped_locked" },
	{ 0x964c78fe, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xde7020e6, "idr_for_each" },
	{ 0x92ea41dc, "debugfs_create_file" },
	{ 0x42b6973a, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xe56f0a99, "cfg80211_rx_mgmt_ext" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46cf1381, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x225a9f90, "skb_copy" },
	{ 0xa72a66d9, "skb_clone" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xdfcb5180, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xd66e232a, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x927c06b9, "cfg80211_inform_bss_data" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x459785b0, "irq_of_parse_and_map" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xc2d07754, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0x14bb4f12, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x57460ac, "cfg80211_connect_done" },
	{ 0x58afbfe6, "__cfg80211_get_bss" },
	{ 0x3953fdee, "wiphy_free" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2ee6c014, "cfg80211_cqm_rssi_notify" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd239a763, "skb_queue_head" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "F4967E14E3A15B31037D9E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
