#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl92d_dm_initialize_txpower_tracking, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_check_txpower_tracking_thermal_meter, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_false_alarm_counter_statistics, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_find_minimum_rssi, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_write_dig, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_dig, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_check_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl92d_dm_init_rate_adaptive_mask, "_gpl", "");
KSYMTAB_FUNC(rtl92d_is_fw_downloaded, "_gpl", "");
KSYMTAB_FUNC(rtl92d_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl92d_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl92d_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl92d_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl92d_fw_init, "_gpl", "");
KSYMTAB_FUNC(rtl92d_fill_h2c_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_fw_joinbss_report_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92d_stop_tx_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl92d_resume_tx_beacon, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_hw_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_hw_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_llt_write, "_gpl", "");
KSYMTAB_FUNC(rtl92d_enable_hw_security_config, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_qos, "_gpl", "");
KSYMTAB_FUNC(rtl92d_read_eeprom_info, "_gpl", "");
KSYMTAB_FUNC(rtl92d_update_hal_rate_tbl, "_gpl", "");
KSYMTAB_FUNC(rtl92d_update_channel_access_setting, "_gpl", "");
KSYMTAB_FUNC(rtl92d_gpio_radio_on_off_checking, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_key, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_query_rf_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_set_rf_reg, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_init_bb_rf_register_definition, "_gpl", "");
KSYMTAB_FUNC(rtl92d_store_pwrindex_diffrate_offset, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_get_hw_reg_originalvalue, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_set_txpower_level, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_enable_rf_env, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_restore_rf_env, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_rightchnlplace_for_iqk, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_calc_curvindex, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_reset_iqk_result, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_set_io_cmd, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_config_macphymode, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_config_macphymode_info, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_chnlgroup_fromarray, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_config_maccoexist_rfpage, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_rf6052_set_bandwidth, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_rf6052_set_cck_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl92d_phy_rf6052_set_ofdm_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl92d_rx_query_desc, "_gpl", "");
KSYMTAB_FUNC(rtl92d_set_desc, "_gpl", "");
KSYMTAB_FUNC(rtl92d_get_desc, "_gpl", "");

SYMBOL_CRC(rtl92d_dm_initialize_txpower_tracking, 0x627da3e3, "_gpl");
SYMBOL_CRC(rtl92d_dm_check_txpower_tracking_thermal_meter, 0xa9d88072, "_gpl");
SYMBOL_CRC(rtl92d_dm_false_alarm_counter_statistics, 0x6fdcbf4a, "_gpl");
SYMBOL_CRC(rtl92d_dm_find_minimum_rssi, 0x8748785a, "_gpl");
SYMBOL_CRC(rtl92d_dm_write_dig, 0x96db871e, "_gpl");
SYMBOL_CRC(rtl92d_dm_dig, 0x3912cba6, "_gpl");
SYMBOL_CRC(rtl92d_dm_init_edca_turbo, 0xfcfc8d06, "_gpl");
SYMBOL_CRC(rtl92d_dm_check_edca_turbo, 0x4a971699, "_gpl");
SYMBOL_CRC(rtl92d_dm_init_rate_adaptive_mask, 0x7670a029, "_gpl");
SYMBOL_CRC(rtl92d_is_fw_downloaded, 0xc952a93f, "_gpl");
SYMBOL_CRC(rtl92d_enable_fw_download, 0x015ec114, "_gpl");
SYMBOL_CRC(rtl92d_write_fw, 0x72d9aa43, "_gpl");
SYMBOL_CRC(rtl92d_fw_free_to_go, 0x00786eb2, "_gpl");
SYMBOL_CRC(rtl92d_firmware_selfreset, 0xf8a8ed0b, "_gpl");
SYMBOL_CRC(rtl92d_fw_init, 0xa391b573, "_gpl");
SYMBOL_CRC(rtl92d_fill_h2c_cmd, 0xb22b6523, "_gpl");
SYMBOL_CRC(rtl92d_set_fw_joinbss_report_cmd, 0x10fc19d7, "_gpl");
SYMBOL_CRC(rtl92d_stop_tx_beacon, 0xd593ee81, "_gpl");
SYMBOL_CRC(rtl92d_resume_tx_beacon, 0x5e7dedf1, "_gpl");
SYMBOL_CRC(rtl92d_get_hw_reg, 0x941657ee, "_gpl");
SYMBOL_CRC(rtl92d_set_hw_reg, 0x7639f585, "_gpl");
SYMBOL_CRC(rtl92d_llt_write, 0x04377218, "_gpl");
SYMBOL_CRC(rtl92d_enable_hw_security_config, 0xdf4a74d7, "_gpl");
SYMBOL_CRC(rtl92d_set_qos, 0xa6d37122, "_gpl");
SYMBOL_CRC(rtl92d_read_eeprom_info, 0xf3ec980e, "_gpl");
SYMBOL_CRC(rtl92d_update_hal_rate_tbl, 0x4ae5957b, "_gpl");
SYMBOL_CRC(rtl92d_update_channel_access_setting, 0x770eb403, "_gpl");
SYMBOL_CRC(rtl92d_gpio_radio_on_off_checking, 0x01d505eb, "_gpl");
SYMBOL_CRC(rtl92d_set_key, 0x8bffe9a5, "_gpl");
SYMBOL_CRC(rtl92d_phy_query_rf_reg, 0x24159bc2, "_gpl");
SYMBOL_CRC(rtl92d_phy_set_rf_reg, 0x6885ea16, "_gpl");
SYMBOL_CRC(rtl92d_phy_init_bb_rf_register_definition, 0xd656e99e, "_gpl");
SYMBOL_CRC(rtl92d_store_pwrindex_diffrate_offset, 0x6e2555dc, "_gpl");
SYMBOL_CRC(rtl92d_phy_get_hw_reg_originalvalue, 0xf62a4916, "_gpl");
SYMBOL_CRC(rtl92d_phy_set_txpower_level, 0x9cf3162e, "_gpl");
SYMBOL_CRC(rtl92d_phy_enable_rf_env, 0x9d70a4c8, "_gpl");
SYMBOL_CRC(rtl92d_phy_restore_rf_env, 0x8bd5b5c7, "_gpl");
SYMBOL_CRC(rtl92d_get_rightchnlplace_for_iqk, 0x9a051407, "_gpl");
SYMBOL_CRC(rtl92d_phy_save_adda_registers, 0x5592effc, "_gpl");
SYMBOL_CRC(rtl92d_phy_save_mac_registers, 0x06c1b55c, "_gpl");
SYMBOL_CRC(rtl92d_phy_path_adda_on, 0x90445d8e, "_gpl");
SYMBOL_CRC(rtl92d_phy_mac_setting_calibration, 0x847831ab, "_gpl");
SYMBOL_CRC(rtl92d_phy_calc_curvindex, 0xbbcb20e4, "_gpl");
SYMBOL_CRC(rtl92d_phy_reset_iqk_result, 0x2e3c802d, "_gpl");
SYMBOL_CRC(rtl92d_phy_set_io_cmd, 0x36751cd7, "_gpl");
SYMBOL_CRC(rtl92d_phy_config_macphymode, 0x9242dd09, "_gpl");
SYMBOL_CRC(rtl92d_phy_config_macphymode_info, 0xe731327c, "_gpl");
SYMBOL_CRC(rtl92d_get_chnlgroup_fromarray, 0xa0f98628, "_gpl");
SYMBOL_CRC(rtl92d_phy_config_maccoexist_rfpage, 0x8bc748da, "_gpl");
SYMBOL_CRC(rtl92d_phy_rf6052_set_bandwidth, 0x15d268fc, "_gpl");
SYMBOL_CRC(rtl92d_phy_rf6052_set_cck_txpower, 0x48458d07, "_gpl");
SYMBOL_CRC(rtl92d_phy_rf6052_set_ofdm_txpower, 0x3f4fa27f, "_gpl");
SYMBOL_CRC(rtl92d_rx_query_desc, 0xf457221a, "_gpl");
SYMBOL_CRC(rtl92d_set_desc, 0x4b5b9191, "_gpl");
SYMBOL_CRC(rtl92d_get_desc, 0x95930bc2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5506d1f7, "rtl_cam_empty_entry" },
	{ 0x9f13291, "rtl_cam_del_entry" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54824f58, "channel5g" },
	{ 0xf2563f77, "rtl_cam_mark_invalid" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x12df3054, "_rtl_dbg_print" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3e27b2c5, "rtlwifi_rate_mapping" },
	{ 0x9f7bf46d, "rtl_signal_scale_mapping" },
	{ 0x752eb24e, "_rtl_dbg_print_data" },
	{ 0x1ddbb724, "rtl_fw_page_write" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x5408a29d, "rtl_get_hwinfo" },
	{ 0xdcb764ad, "memset" },
	{ 0xed7c8cf2, "rtl_evm_db_to_percentage" },
	{ 0x54f8f76c, "read_efuse_byte" },
	{ 0xd8a82fdc, "rtl_cam_add_one_entry" },
	{ 0x30a956d7, "rtl_query_rxpwrpercentage" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x650a2505, "rtl_cam_get_free_entry" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x835a34cc, "rtl_cam_delete_one_entry" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "3B0045DEC7C727194417F57");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
