#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xd3bb32f9, "");
SYMBOL_CRC(rtw_pci_probe, 0x78588ef2, "");
SYMBOL_CRC(rtw_pci_remove, 0xed9913ec, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x5d6622f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7df2339, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x17a0b25c, "rtw_tx_queue_mapping" },
	{ 0xdf33c339, "pcie_capability_read_word" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x180b2fe4, "devm_request_threaded_irq" },
	{ 0xc2c6993d, "pci_enable_device" },
	{ 0x41d5cec9, "skb_put" },
	{ 0xb5834662, "consume_skb" },
	{ 0xa997c47a, "pci_iomap" },
	{ 0xf4686516, "pci_alloc_irq_vectors" },
	{ 0x357db43f, "netif_napi_add_weight" },
	{ 0xf20b374b, "skb_dequeue" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x3259ee5a, "ieee80211_free_hw" },
	{ 0xc1fcd859, "dma_unmap_page_attrs" },
	{ 0xe5f1935a, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xf957cc91, "dev_kfree_skb_irq_reason" },
	{ 0x3efa2c12, "pci_set_power_state" },
	{ 0x5ebffa6f, "__netif_napi_del" },
	{ 0x472bca57, "ieee80211_wake_queue" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xd054c82b, "dev_driver_string" },
	{ 0x23e73ed2, "dma_map_page_attrs" },
	{ 0xc50693d2, "napi_complete_done" },
	{ 0xbec1041c, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x55936cf5, "devm_free_irq" },
	{ 0x8402ef7c, "__napi_schedule" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0xa5b523f8, "rtw_chip_info_setup" },
	{ 0x175d411a, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xfce42b85, "__dma_sync_single_for_cpu" },
	{ 0xe5da6c6, "rtw_unregister_hw" },
	{ 0xe0469b26, "_dev_err" },
	{ 0x24f4b914, "skb_pull" },
	{ 0x21291f75, "rtw_tx_fill_tx_desc" },
	{ 0xde9b16f0, "skb_push" },
	{ 0xa79043e3, "dma_alloc_attrs" },
	{ 0xda393ab1, "napi_enable" },
	{ 0xedf96634, "rtw_core_init" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xbb5ec9fe, "free_netdev" },
	{ 0x9dfdf7cf, "ieee80211_alloc_hw_nm" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xf0dcf6aa, "pci_iounmap" },
	{ 0xdc69304d, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xdcb764ad, "memset" },
	{ 0xd1755009, "_dev_warn" },
	{ 0x3ff95b44, "pci_set_master" },
	{ 0x8f490257, "ieee80211_stop_queue" },
	{ 0x8656a057, "__netdev_alloc_skb" },
	{ 0xf2fc5e6f, "rtw_rx_stats" },
	{ 0xf5592c96, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xd22ab5b1, "rtw_register_hw" },
	{ 0x6c9ddd1e, "alloc_netdev_dummy" },
	{ 0xb8d596a0, "dma_free_attrs" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0xc32a0525, "pci_release_regions" },
	{ 0x76d81aa4, "__dma_sync_single_for_device" },
	{ 0x6c6ddd7d, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x557ff140, "rtw_core_deinit" },
	{ 0x70d6e173, "rtw_ops" },
	{ 0xed9708ec, "pci_disable_device" },
	{ 0xdfbab2fd, "napi_schedule_prep" },
	{ 0x46765f83, "napi_disable" },
	{ 0xc2d07754, "dev_kfree_skb_any_reason" },
	{ 0xbec13eed, "rtw_power_mode_change" },
	{ 0x5700907d, "rtw_tx_write_data_h2c_get" },
	{ 0x951f8244, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5b4f7d20, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xb3e6e2f1, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "60FE707A8EF59A6B892202D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
