#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x15c32fa6, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x1e87e682, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x05be97c3, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0xb98eda4f, "_gpl");
SYMBOL_CRC(dccp_death_row, 0xc79c97a4, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x7a8e4b0e, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x8d9432e1, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x7349826b, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xd8c2baad, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x63379dfb, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xe418984d, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x6f447746, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xd0b6901d, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x0602f65d, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xc98a406d, "_gpl");
SYMBOL_CRC(dccp_connect, 0x17efc29f, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xe777ef4f, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x15e7ecb2, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xf143eae2, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xe473a468, "_gpl");
SYMBOL_CRC(dccp_done, 0x167d3c4f, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xbb2c5ce0, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x8ef0b24f, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xa0b690bb, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xb2df6e46, "_gpl");
SYMBOL_CRC(dccp_poll, 0x46c7436e, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x7ebf0e2c, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xb2ace602, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x2aca1108, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xd794c079, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x62baf350, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x2d1a4d65, "_gpl");
SYMBOL_CRC(dccp_close, 0xfb20b87c, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xdc0ad819, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47883da5, "inet_hashinfo2_init_mod" },
	{ 0xb4ee30ee, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4d54d27f, "inet_ehash_locks_alloc" },
	{ 0x41d5cec9, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb5834662, "consume_skb" },
	{ 0x60f33ae9, "sock_wmalloc" },
	{ 0x2781ebf5, "trace_raw_output_prep" },
	{ 0xf20b374b, "skb_dequeue" },
	{ 0x486a6a3c, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x6157a9f0, "_raw_write_lock_bh" },
	{ 0xae474a29, "trace_event_printf" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x5e8f32b1, "__kmalloc_node_track_caller_noprof" },
	{ 0x69d3f812, "prepare_to_wait" },
	{ 0x65c92c8c, "trace_event_raw_init" },
	{ 0xc20ad04a, "proc_dointvec_ms_jiffies" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46226c2e, "_raw_write_unlock_bh" },
	{ 0x62bbfd5a, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x40c40fd8, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x6983e967, "kmem_cache_create" },
	{ 0x83115d82, "inet_twsk_alloc" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xf198aedd, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf5019283, "trace_event_buffer_commit" },
	{ 0x89fb3643, "register_net_sysctl_sz" },
	{ 0x3c91000b, "inet_sock_destruct" },
	{ 0xdf767306, "inet_put_port" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xd0c71ce6, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0xa1c5558e, "sk_reset_timer" },
	{ 0x9d3f828f, "skb_queue_tail" },
	{ 0x7b22823f, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xb6003497, "perf_trace_run_bpf_submit" },
	{ 0x18a2f95b, "init_net" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0x4fb08346, "sk_free" },
	{ 0x8d2a61b8, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xde9b16f0, "skb_push" },
	{ 0x6cd37beb, "kmem_cache_free" },
	{ 0xeef4e955, "proc_doulongvec_minmax" },
	{ 0x3efebc2a, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x70b41f4e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcc6d7e57, "skb_copy_datagram_iter" },
	{ 0x23b9486, "skb_checksum" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x81200219, "sk_wait_data" },
	{ 0x58453fd, "inet_csk_clone_lock" },
	{ 0x9d40c53b, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x77fa70ac, "inet_twsk_hashdance_schedule" },
	{ 0xf0cf2b1, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xaa9f9cd, "inet_csk_listen_start" },
	{ 0x132a1f22, "sk_free_unlock_clone" },
	{ 0x4009c07f, "sock_rfree" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x812f4df2, "skb_set_owner_w" },
	{ 0x1efbcca9, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x40c93c94, "param_ops_bool" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x6242ee0f, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa72a66d9, "skb_clone" },
	{ 0x8c1df9e9, "inet_sk_set_state" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x91e209d9, "dst_release" },
	{ 0x6929d52, "sk_stream_wait_connect" },
	{ 0xabccd8f2, "_copy_from_iter" },
	{ 0x3233dbb, "inet_csk_destroy_sock" },
	{ 0xdf9e5ca8, "sk_stop_timer" },
	{ 0xeecd1196, "unregister_net_sysctl_table" },
	{ 0x26e46b81, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x19c2a9fb, "param_ops_int" },
	{ 0x4464ca23, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x117cfc45, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xa41c6266, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x66806f4b, "kmem_cache_destroy" },
	{ 0x2853bef, "inet_csk_complete_hashdance" },
	{ 0x19b4768, "release_sock" },
	{ 0xa463506c, "inet_csk_reqsk_queue_drop" },
	{ 0xc0b51839, "proc_dointvec_minmax" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A11E7BBA5140648AB4C2FE0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
