#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xfaafaa54, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xbb15813b, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x5d0cfe11, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed5c52ff, "skb_free_datagram" },
	{ 0x6eec33cb, "sock_queue_rcv_skb_reason" },
	{ 0xfab8b32b, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x946a23b5, "default_amr" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd003e32, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x7ced26b2, "skb_copy_bits" },
	{ 0x2bd2b5de, "radix_tree_insert" },
	{ 0x41d5cec9, "skb_put" },
	{ 0xb5834662, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2781ebf5, "trace_raw_output_prep" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x486a6a3c, "__trace_trigger_soft_disabled" },
	{ 0x2db194e2, "radix_tree_lookup" },
	{ 0x6157a9f0, "_raw_write_lock_bh" },
	{ 0xae474a29, "trace_event_printf" },
	{ 0x8d5f8ecb, "kernel_bind" },
	{ 0x9f5b3b6a, "refcount_dec_and_mutex_lock" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x65c92c8c, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46226c2e, "_raw_write_unlock_bh" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xe048d0dd, "__module_get" },
	{ 0x48a09b64, "kernel_recvmsg" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0xf198aedd, "sk_error_report" },
	{ 0x40e905cd, "skb_queue_purge_reason" },
	{ 0x114eb5c5, "radix_tree_iter_delete" },
	{ 0xf5019283, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2824665, "_raw_spin_lock_irq" },
	{ 0x4cdc01a0, "proto_unregister" },
	{ 0x10a93429, "sock_register" },
	{ 0x90b44c6e, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7e6352e6, "__alloc_skb" },
	{ 0x5c1d4f2b, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf8b701e6, "module_put" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf2a424c6, "__xa_alloc" },
	{ 0xcb11e91b, "sock_no_shutdown" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xb6003497, "perf_trace_run_bpf_submit" },
	{ 0x38c47f8c, "__traceiter_sk_data_ready" },
	{ 0x18a2f95b, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x77888773, "radix_tree_next_chunk" },
	{ 0x21a0b207, "sk_skb_reason_drop" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0xafa7fe6, "kernel_getsockname" },
	{ 0x311c8b69, "do_wait_intr_irq" },
	{ 0x4fb08346, "sk_free" },
	{ 0x9afc4d44, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0xde9b16f0, "skb_push" },
	{ 0xfe371a0a, "sock_no_listen" },
	{ 0x3efebc2a, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x70b41f4e, "lock_sock_nested" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0xcc6d7e57, "skb_copy_datagram_iter" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x22d5cda6, "sk_alloc" },
	{ 0x12c9c0bf, "sock_no_socketpair" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xaff8a47a, "sock_no_mmap" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x8656a057, "__netdev_alloc_skb" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0xa87df9be, "__xa_insert" },
	{ 0x904a9ac5, "xa_erase" },
	{ 0x924e46d9, "bpf_trace_run3" },
	{ 0x812f4df2, "skb_set_owner_w" },
	{ 0x1efbcca9, "trace_event_buffer_reserve" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0xc017a449, "sock_create_kern" },
	{ 0x571e6b43, "xa_find" },
	{ 0x7f221628, "skb_recv_datagram" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x6242ee0f, "sock_alloc_send_pskb" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb90ca8e7, "xa_store" },
	{ 0xa72a66d9, "skb_clone" },
	{ 0xabccd8f2, "_copy_from_iter" },
	{ 0x2aaba05, "sock_release" },
	{ 0x813e2567, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x514d77be, "xa_find_after" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4464ca23, "iov_iter_revert" },
	{ 0xf5113693, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x591515b0, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x19b4768, "release_sock" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CEF7CDEB9A285702052F87");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
