#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2a7f6ae9, "try_module_get" },
	{ 0x3d9ee72c, "vmemmap" },
	{ 0x1177e83d, "ib_unregister_client" },
	{ 0x44b1f01b, "xprt_write_space" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfd003e32, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x45950fd0, "xprt_free_slot" },
	{ 0xf5ad9015, "__percpu_counter_init_many" },
	{ 0x52c67188, "rdma_rw_ctx_destroy" },
	{ 0x8eb53e1, "xprt_release_rqst_cong" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a9c15e, "complete" },
	{ 0x145a654, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2781ebf5, "trace_raw_output_prep" },
	{ 0x2012d924, "xprt_disconnect_done" },
	{ 0x46b8d5ef, "__ib_alloc_pd" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x486a6a3c, "__trace_trigger_soft_disabled" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x9239b63c, "__kmalloc_node_noprof" },
	{ 0xc1fcd859, "dma_unmap_page_attrs" },
	{ 0xae474a29, "trace_event_printf" },
	{ 0x1e0e4329, "rdma_resolve_addr" },
	{ 0x43028bc9, "xprt_reserve_xprt_cong" },
	{ 0x54d26d7b, "percpu_counter_destroy_many" },
	{ 0x65c92c8c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46b78107, "xprt_get" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x72212ffa, "xprt_wait_for_buffer_space" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xf0a9632d, "ib_dereg_mr_user" },
	{ 0x62bbfd5a, "bpf_trace_run2" },
	{ 0x27bfef6e, "xprt_wake_up_backlog" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xe048d0dd, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x8e2012f0, "xprt_complete_rqst" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x4514aea2, "rdma_disconnect" },
	{ 0xef1bba2f, "xprt_put" },
	{ 0xd054c82b, "dev_driver_string" },
	{ 0xf5019283, "trace_event_buffer_commit" },
	{ 0x8a2e120, "ib_drain_sq" },
	{ 0x1127caf4, "wait_for_completion_interruptible_timeout" },
	{ 0x23e73ed2, "dma_map_page_attrs" },
	{ 0xe9bf70bb, "xprt_lock_connect" },
	{ 0xd193e174, "rdma_lock_handler" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9fec316, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb55ba0ee, "unregister_sysctl_table" },
	{ 0x2d322264, "xprt_alloc_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0x3fbaca4, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0xf8b701e6, "module_put" },
	{ 0x431ba008, "rdma_bind_addr" },
	{ 0x17d1b33a, "ib_register_client" },
	{ 0xbfc43cf6, "svc_xprt_put" },
	{ 0xd25e9898, "rdma_create_qp" },
	{ 0x800473f, "__cond_resched" },
	{ 0x273f33d, "xprt_pin_rqst" },
	{ 0xcf2a5485, "ib_map_mr_sg" },
	{ 0xf2a424c6, "__xa_alloc" },
	{ 0xfce42b85, "__dma_sync_single_for_cpu" },
	{ 0x2e31d181, "rdma_rw_ctx_wrs" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x53859605, "release_pages" },
	{ 0xb6003497, "perf_trace_run_bpf_submit" },
	{ 0xd48c1bb8, "ib_set_client_data" },
	{ 0xc5d5d28d, "__ib_alloc_cq_any" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x761fc995, "svc_xprt_deferred_close" },
	{ 0xe6a7b3d, "xa_load" },
	{ 0x6bdcda32, "bpf_trace_run5" },
	{ 0xcc35ce1c, "xprt_release_xprt_cong" },
	{ 0xc7481cee, "svc_xprt_copy_addrs" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd2852b01, "xdr_init_decode" },
	{ 0x1259d9e3, "svc_xprt_received" },
	{ 0x1ad04fc3, "rdma_set_afonly" },
	{ 0x3efebc2a, "trace_event_reg" },
	{ 0xbe1bea, "rdma_unlock_handler" },
	{ 0xe9843f59, "xprt_unregister_transport" },
	{ 0xf2f77db4, "rdma_listen" },
	{ 0xeae72f56, "rdma_destroy_qp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x116fee71, "__put_devmap_managed_folio_refs" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x711c9872, "bpf_trace_run1" },
	{ 0xd0ec7386, "ib_destroy_qp_user" },
	{ 0xba85b88d, "register_sysctl_sz" },
	{ 0xdcb764ad, "memset" },
	{ 0xde648a13, "__kmalloc_cache_node_noprof" },
	{ 0x2bfad903, "svc_xprt_init" },
	{ 0xfc749744, "ib_alloc_mr" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xdb789d4e, "ib_drain_rq" },
	{ 0x881abcf, "xdr_buf_subsegment" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x7e16d525, "svc_unreg_xprt_class" },
	{ 0xe2c3fdb2, "rdma_connect" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf98a4ddc, "xdr_reserve_space" },
	{ 0x2df50b0, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x904a9ac5, "xa_erase" },
	{ 0x924e46d9, "bpf_trace_run3" },
	{ 0xe3467878, "xprt_wake_pending_tasks" },
	{ 0xddca434d, "xprt_unpin_rqst" },
	{ 0xc7882853, "rpcb_getport_async" },
	{ 0x7e08c79, "xprt_add_backlog" },
	{ 0xb8433d4c, "xprt_alloc" },
	{ 0x9b1aa202, "ib_dma_virt_map_sg" },
	{ 0x1efbcca9, "trace_event_buffer_reserve" },
	{ 0x69429d68, "xprt_request_get_cong" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4ce33aed, "percpu_counter_add_batch" },
	{ 0x5d387b69, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf80626b8, "__percpu_counter_sum" },
	{ 0x824ad0de, "rdma_destroy_id" },
	{ 0x76d81aa4, "__dma_sync_single_for_device" },
	{ 0x2b23ec40, "xprt_free" },
	{ 0x571e6b43, "xa_find" },
	{ 0x25d82fcf, "xprt_force_disconnect" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x89c16ad4, "seq_write" },
	{ 0x6678d289, "__folio_put" },
	{ 0x9efe0e9e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6d0245e, "seq_printf" },
	{ 0xaa70bc1d, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9f59b508, "xprt_unlock_connect" },
	{ 0xfe724495, "xprt_register_transport" },
	{ 0x97dd1f93, "svc_reg_xprt_class" },
	{ 0x6db11917, "svc_xprt_enqueue" },
	{ 0x7a02f2f1, "alloc_pages_noprof" },
	{ 0x9ad989b4, "proc_dointvec" },
	{ 0x78ef8ada, "ib_drain_qp" },
	{ 0x5ad064e7, "ib_dealloc_pd_user" },
	{ 0x4079f8b7, "dma_unmap_sg_attrs" },
	{ 0x514d77be, "xa_find_after" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb6be6da, "percpu_counter_set" },
	{ 0x1655676b, "svc_xprt_close" },
	{ 0xa9b43e3e, "xprt_wait_for_reply_request_def" },
	{ 0x455efd94, "svc_pool_wake_idle_thread" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x1908646a, "xdr_init_encode" },
	{ 0x91fb13d3, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd2aef6ad, "xprt_lookup_rqst" },
	{ 0x11e563ce, "xprt_reconnect_delay" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x23a4d6fc, "xprt_reconnect_backoff" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4117c577, "kmalloc_caches" },
	{ 0x4948f0b0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x72280773, "rdma_rw_ctx_init" },
	{ 0xc0b51839, "proc_dointvec_minmax" },
	{ 0xcff65a16, "module_layout" },
};

MODULE_INFO(depends, "ib_core,sunrpc,rdma_cm");


MODULE_INFO(srcversion, "E3E81031FCE5C3292E60EA9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
